=== release 1.22.4 ===

2023-06-20 17:42:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.22.4

2023-06-13 14:25:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvdspu/gstspu-pgs.c:
	  dvdspu: Avoid integer overflow when checking if enough data is available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4899>

2023-06-13 14:23:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvdspu/gstspu-pgs.c:
	  dvdspu: Make sure enough data is allocated for the available data
	  If the size read from the stream is smaller than the currently available
	  data then the size is bogus and the data should simply be discarded.
	  Fixes ZDI-CAN-20994
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2660
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4899>

2023-04-18 09:59:36 +0200  Andoni Morales Alastruey <amorales@fluendo.com>

	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtenc.h:
	  vtenc: remove duplicated framerate and size variables
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4888>

2023-03-30 15:38:22 +0200  Andoni Morales Alastruey <amorales@fluendo.com>

	* sys/applemedia/meson.build:
	* sys/applemedia/vtdec.h:
	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtenc.h:
	* tests/validate/meson.build:
	* tests/validate/vtenc/vtenc_h264.validatetest:
	* tests/validate/vtenc/vtenc_h264/flow-expectations/log-enc-src-expected:
	* tests/validate/vtenc/vtenc_h264_b_frames.validatetest:
	* tests/validate/vtenc/vtenc_h264_b_frames/flow-expectations/log-enc-src-expected:
	* tests/validate/vtenc/vtenc_h265.validatetest:
	* tests/validate/vtenc/vtenc_h265/flow-expectations/log-enc-src-expected:
	* tests/validate/vtenc/vtenc_h265_b_frames.validatetest:
	* tests/validate/vtenc/vtenc_h265_b_frames/flow-expectations/log-enc-src-expected:
	  vtenc: apply DTS offset to ensure DTS <= PTS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4888>

2023-03-23 20:04:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/videoparsers/gsth265parse.c:
	  h265parse: Don't override upstream framerate
	  The framerate should only be replaced (and corrected for alternating field)
	  when it is parsed from the bitstream. Otherwise, the upstream framerate
	  from caps should be trusted and assumed correct.
	  Related to gst-plugins-bad!2020
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4352>

2023-03-23 20:02:16 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/videoparsers/gsth265parse.c:
	* gst/videoparsers/gsth265parse.h:
	  h265parse: Rename parsed_framerate to framerate_from_caps
	  That meaning of parsed_framerate is ambigious, it is set whenever the
	  framerate has been parsed from caps, which can be confused with being
	  parsed from the bitstream. Rename this as framerate_from_caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4352>

2023-02-15 13:10:39 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst/videoparsers/gsth265parse.c:
	  h265parse: Fix to check returned value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4352>

2023-05-11 15:28:35 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst/sdp/gstsdpdemux.c:
	  sdpdemux: ensure that only one srcpad is created per stream
	  If two senders use the same multicast IP and port then new_session_pad()
	  may try to add a srcpad to the same stream twice.
	  stream->srcpad is updated but gst_element_add_pad() fails the second
	  time. As a result stream->srcpad points to a deleted object and
	  access in gst_sdp_demux_stream_free() fails with a segfault.
	  Just ignore the second pad. Nothing useful can be done with it anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4873>

2023-06-11 22:22:36 +0200  Marek Vasut <marex@denx.de>

	* sys/kms/gstkmssink.c:
	  kmssink: Add ST STM32 LTDC auto-detection
	  Add STM32 LTDC controller into list of auto-detected modules.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4872>

2023-06-11 22:22:25 +0200  Marek Vasut <marex@denx.de>

	* sys/kms/gstkmssink.c:
	  kmssink: Add NXP i.MX8M Plus LCDIFv3 auto-detection
	  Add i.MX8M Plus LCDIFv3 controller into list of auto-detected modules.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4872>

2023-04-28 22:25:11 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265enc.c:
	  va: h265enc: map the mbbrc to correct enum value in get_property()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4870>

2023-04-28 22:26:34 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah264enc.c:
	  va: h264enc: map the mbbrc to correct enum value in get_property()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4870>

2023-06-14 10:08:51 +0200  François Laignel <francois@centricular.com>

	* ext/srtp/gstsrtpdec.c:
	  srtpdec: fix Got data flow before segment event
	  A race condition can occur in `srtpdec` during the READY -> NULL transition:
	  an RTCP buffer can make its way to `gst_srtp_dec_chain` while the element is
	  partially stopped, resulting in the following critical warning:
	  > Got data flow before segment event
	  The problematic sequence is the following:
	  1. An RTCP buffer is being handled by the chain function for the
	  `rtcp_sinkpad`. Since, this is the first buffer, we try pushing the sticky
	  events to `rtcp_srcpad`.
	  2. At the same moment, the element is being transitioned from PAUSED to READY.
	  3. While checking and pushing the sticky events for `rtcp_srcpad`, we reach the
	  Segment event. For this, we try to get it from the "otherpad", in this case
	  `rtp_srcpad`. In the problematic case, `rtp_srcpad` has already been
	  deactivated so its sticky events have been cleared. We won't be pushing any
	  Segment event to `rtcp_srcpad`.
	  4. We return to the chain function for `rtcp_sinkpad` and try pushing the
	  buffer to `rtcp_srcpad` for which deactivation hasn't started yet, hence the
	  "Got data flow before segment event".
	  This commit:
	  - Adds a boolean return value to `gst_srtp_dec_push_early_events`: in case the
	  Segment event can't be retrieved, `gst_srtp_dec_chain` can return  an error
	  instead of calling `gst_pad_push`.
	  - Replaces the obsolete `gst_pad_set_caps` with `gst_pad_push_event`. The
	  additional preconditions checked by previous function are guaranteed here
	  since we push a fixed Caps which was built in the same function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4860>

2023-06-15 11:11:39 +0200  François Laignel <francois@centricular.com>

	* ext/srtp/gstsrtpdec.c:
	  srtpdec: backport for fix assertion 'parent->numsinkpads <= 1' failed
	  Commit 96450f4c uses the new function `gst_element_decorate_stream_id` which
	  was introduced by 39633967 in 1.23.
	  This commit backports 96450f4c with a simplified version of
	  `gst_element_decorate_stream_id_internal` as a private srtpdec function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4860>

2023-06-15 01:36:25 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3dvideosink/d3dvideosink.c:
	  d3dvideosink: Fix navigation event leak
	  Fixing regression introduced in 6c2f6c3bd4dd525eb02c6d7000e84b76663d3daf
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4868>

2023-06-13 01:29:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfmux/gstasfobjects.c:
	  asfmux: fix potentially unaligned write on 32-bit ARM
	  Fixes #2665
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4855>

2023-06-01 15:16:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklink.h:
	  decklink: Implement Windows string conversion with common API between MinGW and MSVC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4786>

2023-06-01 15:17:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklink.h:
	  decklink: Add some newlines in long defines
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4786>

2023-05-31 23:44:42 +0300  Maksym Khomenko <maksym.khomenko@skelia.partners>

	* sys/decklink/gstdecklink.h:
	  decklink: Calculate string size before malloc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4786>

2023-05-30 15:27:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklink.h:
	  decklink: Use the macOS version of the SDK on macOS and not the Linux one
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4786>

2023-05-30 13:23:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklink.h:
	  decklink: Free SDK strings after usage on Linux
	  While they're const char* they still need to be freed like on Windows
	  and macOS and would be leaked otherwise.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4786>

2023-05-30 13:22:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklink.h:
	  decklink: Correctly handle SDK strings on macOS
	  They're CFStringRef* and not plain NUL-terminated char* C strings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4786>

2023-05-26 13:26:42 +0100  Colin Kinloch <colin.kinloch@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	* gst-libs/gst/wayland/gstwlwindow.c:
	  waylandsink: Emit "map" signal boarder surface is ready
	  This allows gtkwaylandsink to queue a draw of its gtk widget at the
	  correct time, avoiding a race.
	  Signed-off-by: Colin Kinloch <colin.kinloch@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4754>

2023-05-25 17:02:24 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/fdkaac/gstfdkaacdec.c:
	  fdkaacdec: Support up to 5 rear channels
	  The `switch (n_rear)` supports up to 5 rear channels, but our channel
	  set only had space for 3. Size the set properly to fix this.
	  This didn't actually cause any memory unsafety as `PUSH_CHAN` would stop
	  incrementing `n_rear` if the channel set is already full.
	  Thanks to @alatiera for noticing this.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4740>

2023-05-24 22:12:51 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	  d3d11videosink: Fix error on pause and play
	  The show_frame() can be called without prepare() call on paused to
	  playing state change. Thus the prepared buffer should not be cleared
	  on show_frame()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4714>

2023-05-18 09:27:29 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/debugutils/gsttestsrcbin.c:
	  testsrcbin: Remove spurious caps unref
	  Caps are cleared at the end of the function
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2575
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4685>

2023-05-19 12:36:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4679>

=== release 1.22.3 ===

2023-05-19 09:23:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* README.md:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.22.3

2023-04-20 16:41:11 +0800  Haihua Hu <jared.hu@nxp.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: fix critical log when enable playbin3
	  when play rtsp stream with playbin3 enabled, there are some critical logs:
	  g_object_get_is_valid_property: object class 'GstPlayBin3' has no property named 'n-video'
	  g_object_get_is_valid_property: object class 'GstPlayBin3' has no property named 'n-audio'
	  g_object_get_is_valid_property: object class 'GstPlayBin3' has no property named 'n-text'
	  self->collection could be NULL when READY->PAUSED if the pipeline
	  is live, then it will fallback to query playbin2's property,
	  we can call gst_play_streams_info_create_from_collection
	  directly, it will check self->collection internal.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4666>

2023-03-02 18:09:54 +0800  Elliot Chen <elliot.chen@nxp.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: avoid getting property of playbin2 if subtitle_sid is null
	  There is a probability of getting "current-text" property
	  when play with playbin3, and this property is available
	  only in playbin2.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4661>

2023-05-16 22:56:15 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11convert.cpp:
	  d3d11convert: Fix for runtime property update
	  Every setup happens in set_caps() method but basetransform will not
	  call the set_caps() if in/out caps were not changed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4652>

2023-03-17 20:44:30 +0100  Aleksandr Slobodeniuk <aslobodeniuk@fluendo.com>

	* sys/d3d11/gstd3d11convert.cpp:
	  d3d11convert: protect 'add-borders' with mutex
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4652>

2023-05-15 13:47:16 +0200  Carlos Rafael Giani <crg7475@mailbox.org>

	* sys/bluez/gstavdtputil.c:
	  avdtputil: Use int instead of int range for fixed bitpool values
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1698
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4655>

2023-05-16 16:17:05 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  Revert "webrtc/nice: support consent-freshness RFC7675"
	  This reverts commit 0161687505156f54ff38b976668804ac2763a863.
	  This causes problems when the connection is congested because
	  libnice uses a too agressive timeout contrary to the spec, so
	  it's easy for consent to lapse and streaming to stop if there's
	  packet loss.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4649>

2023-05-10 12:00:15 +0200  Johan Sternerup <johast@axis.com>

	* ext/sctp/gstsctpenc.c:
	  sctpenc: Fix potential shutdown deadlock
	  When transitioning from state PAUSED to READY, the sctpenc element
	  could previously be stuck in an endless loop trying to resend data
	  in case the underlying sctp stream was in the process of
	  resetting. usrsctp_sendv() would repeatedly return EAGAIN with the
	  result that 0 bytes were sent and then sctpenc would retry forever.
	  To bring sctpenc out of the resend loop we just need to inform the
	  sink pad that it is flushing, which is already done for the associated
	  data queue, but we also need to set the bools associated with the
	  sinkpads that are used as the loop criterion.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4636>

2023-04-18 11:21:05 +0200  Daniel Moberg <daniemob@axis.com>

	* ext/webrtc/webrtcdatachannel.c:
	  webrtc: do not tear down data channel before data is flushed
	  Current implementation can in some cases detect
	  that all data is sent but in reality it is not,
	  leading to a push to an unlinked pad.
	  This is a race between the probe used to track data sent and a
	  call to close.
	  This patch sends an EOS before starting the close procedure
	  and then waits for the EOS event to come through to the
	  src pad before commencing with tear down.
	  This ensures that any queued data before EOS is flushed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4633>

2023-04-04 21:50:01 +1000  Jan Schmidt <jan@centricular.com>

	* gst/mpegdemux/gstmpegdemux.c:
	* gst/mpegdemux/gstmpegdemux.h:
	  mpegpsdemux: Rework gap sending
	  Take the gap logic from mpegtsdemux, and don't
	  send gap events on a stream that's outputting buffers with
	  no timestamps. Time isn't advancing, but the stream has
	  buffers - so it's not sparse.
	  Fixes #2374
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4623>

2023-03-05 20:15:19 +0900  Seungha Yang <seungha@centricular.com>

	* sys/va/gstvavp8dec.c:
	  vavp8dec: Fix return type of decode_picture()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4614>

2023-03-05 20:14:06 +0900  Seungha Yang <seungha@centricular.com>

	* sys/va/gstjpegdecoder.h:
	  vajpegdec: Hide gst_jpeg_decoder_get_type() symbol
	  It's not a public symbol yet
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4614>

2023-03-05 20:01:44 +0900  Seungha Yang <seungha@centricular.com>

	* sys/va/gstvabaseenc.h:
	  vabaseenc: Fix return type of encode_frame vfunc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4614>

2023-03-05 19:53:37 +0900  Seungha Yang <seungha@centricular.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvafilter.c:
	* sys/va/gstvah264enc.c:
	* sys/va/gstvah265enc.c:
	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavpp.c:
	  va: Fix struct empty initialization syntax
	  "struct Foo bar; bar = {};" is not a valid syntax. Also remove use
	  of __typeof__ which is GCC specific
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4614>

2023-05-10 00:51:31 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	  d3d11videosink: Don't clear prepared buffer on unlock_stop()
	  That can be called between prepare() and render() which results in
	  unexpected error flow return
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4596>

2023-05-06 04:14:49 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	  h264decoder: Drop nonexisting picture silently without error
	  If end_picture() was not successful, we do drop corresponding
	  GstVideoCodecFrame and therefore gst_video_decoder_get_frame()
	  will return nullptr which is expected behavior.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4586>

2023-03-12 14:55:22 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/webrtcdatachannel.c:
	* ext/webrtc/webrtcdatachannel.h:
	  webrtcdatachannel: Bind to parent webrtcbin using a weak reference
	  The previous approach of using a simple pointer could lead to a use-after-free
	  in case a data-channel was created and its parent webrtcbin was disposed soon
	  after.
	  Fixes #2103
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4580>

2023-05-04 16:30:09 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc/nice: support consent-freshness RFC7675
	  As is supported by libwebrtc already.  This allows ICE components to
	  transition to failed if consent to send from the peer is revoked or if
	  multiple consent packets are lost.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4575>

2023-05-05 21:53:44 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.cpp:
	  d3d11memory: Don't clear wrapped texture memory
	  The external texture may hold already rendered scene and therefore
	  it should not be cleared in alloc method
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4558>

2023-05-04 04:44:31 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfvideoencoder.cpp:
	  mfvideoenc: Allow only even resolution numbers
	  Some H/W vendors support odd resolution if D3D11 texture is used
	  or via IMF2DBuffer, but not all vendors support it.
	  Also software MFT does not allow odd resolution.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1165
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2537
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4548>

2023-05-02 18:14:20 +0100  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Fix potential deadlock when closing before any data was sent
	  A blocking pad probe is added on new sink pads, it's usually removed after the
	  caps have been negotiated or the signaling state switched to stable, but if that
	  never happens and the pad is released we kept the pad probe active, leaving the
	  pad blocked, preventing clean disposal.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4533>

2023-05-01 17:46:25 +0100  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/webrtc/dtlstransport.c:
	  dtlstransport: Keep strong ref of dtls encoder/decoder
	  Otherwise get_property() calls for the client, certificate and/or
	  remote-certificate properties might access moved objects, since the encoder and
	  decoder are added to the transportsendbin.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4526>

2023-05-01 10:24:54 +0000  Mihail Ivanchev <contact@ivanchev.net>

	* gst/codectimestamper/meson.build:
	  gstcodectimestamper: remove PC file generation from plugin's own meson.build
	  The file generated here is incomplete; it is generated for all plugins in a loop at an upper level.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4520>

2023-04-28 04:28:24 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2util.c:
	  wasapi2: Allows process loopback capture on Windows 10
	  As per MS documentation[1], it requires Windows 10 Build 20348
	  but it seems to be supported by old versions too
	  [1] https://learn.microsoft.com/en-us/windows/win32/api/audioclientactivationparams/
	  ns-audioclientactivationparams-audioclient_process_loopback_params
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2524
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4517>

2023-04-28 18:52:48 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/cuda/gstcudamemory.c:
	  cudamemory: Fix for semi planar YUV memory size decision
	  UV plan of the semi planar format requires only half of Y plane size
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4506>

2023-04-25 04:59:33 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: Fix for ignored initial render rectangle
	  Application can set target render rect before internal HWND
	  configuration
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2518
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4496>

2023-04-25 10:14:47 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* tests/check/meson.build:
	  bad: disable dtls test if openssl is not present
	  On MacOS with homebrew, the openssl library is not
	  properly detected with pkg-config.
	  So disable the test compilation if openssl
	  is not properly detected along with libcrypto.
	  libcrypto is detected but it uses the system one
	  which leads to the error:
	  your binary is not an allowed client of /usr/lib/libcrypto.dylib for
	  architecture x86_64
	  See more details from Apple:
	  https://developer.apple.com/forums/thread/124782
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4483>

2023-04-19 16:59:01 +0200  Martin Nordholts <martn@axis.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc: Plug leaks of resolved ICE addresses
	  The addresses we get from `resolve_host_finish()` (via
	  `resolve_host_async()`, `resolve_host_main_cb()`, `on_resolve_host()`,
	  `g_resolver_lookup_by_name_finish()`) must be freed. Otherwise we leak
	  memory.
	  Leak found and confirmed fixed with GCC AddressSanitizer.
	  Change-Id: If32d24452d626234f01b253b77a7d6d16eac1cee
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4482>

2023-04-17 21:34:19 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Skip zero alpha input
	  Blending such input is a waste of resource since nothing will
	  be rendered
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4456>

2023-03-30 10:11:11 +1100  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstccconverter.c:
	  ccconverter: reintroduce frame count reset on cycle completion
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4453>

2023-04-18 14:55:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Set number of channels to 2 for dual mono Opus
	  Instead of leaving it at 0, which will then cause caps creation to fail.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4446>

2023-04-17 11:36:55 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/dash/gstmpdclient.c:
	  dash: mpdclient: fix divide by 0 if segment has no duration
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4441>

2023-04-17 23:06:54 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Reconfigure resource only when output caps is changed
	  GstD3D11Converter setup is heavy operation since it requires
	  shader compile, GPU resource allocation, some math, mutex, etc.
	  We can avoid it if negotiated caps is not changed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4440>

2018-07-19 17:21:22 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* ext/srtp/gstsrtpdec.c:
	  srtpdec: fix "srtp-key" check
	  The original code was:
	  if (!gst_structure_get (s, "srtp-key", GST_TYPE_BUFFER, &buf, NULL) || !buf) {
	  goto error;
	  } else {
	  stream->key = buf;
	  }
	  So use "srtp-key" if it is set so a non NULL buffer. The condition was
	  incorrectly inverted in ad7ffe64a66ab48d81671651031c449149db4973 to:
	  if (gst_structure_get (s, "srtp-key", GST_TYPE_BUFFER, &buf, NULL) || !buf) {
	  stream->key = buf;
	  } ...
	  Fix the condition so it works as originally intended and avoid accessing
	  'buf' uninitialised.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4423>

2023-03-27 09:20:27 +0200  Aleksandr Slobodeniuk <aslobodeniuk@fluendo.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: fix race conditions in win32 window
	  One race condition is the fact that the window object
	  can be destroyed while running some routine in the UI
	  thread (such as resizing). To avoid that situation we make
	  UI thread hold a reference on the window object while it's
	  running.
	  Other probpematic case is when the window handle is reused:
	  if we stop and start the pipeline very fast,
	  so the sink creates a new window object that is going to use
	  the same window handle as the previous one.
	  And finally the case when the pipeline is stopped immediatelly
	  right after starting, this one is also handled in this commit.
	  NOTE: a unit test that reproduces this cases have been added
	  in the previous commit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4417>

2023-03-21 18:17:12 +0100  Aleksandr Slobodeniuk <aslobodeniuk@fluendo.com>

	* tests/check/elements/d3d11videosink.c:
	* tests/check/meson.build:
	  d3d11videosink: add gstcheck test for win32 window
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4417>

2023-04-02 00:29:24 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: Enhancement for initial window size decision
	  Use AdjustWindowRect() method to calculate window size so that
	  video scene can be rendered on client area without black borders
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4416>

2023-04-12 00:31:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.2 ===

2023-04-11 17:29:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.22.2

2023-04-10 20:10:50 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	* gst-libs/gst/codecs/gsth264picture.c:
	  h264decoder: Enable low-latency bumping in case of pic_order_cnt_type 2
	  In case of POC type 2, output order is equal to decoding order
	  (no frame reordering)
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2447
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4383>

2023-04-06 20:48:17 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	* gst-libs/gst/codecs/gsth264picture.c:
	* gst-libs/gst/codecs/gsth264picture.h:
	  h264decoder: Fix for latency report
	  The minimum latency answered by an element should be the maximum
	  latency from the element's perspective. Also consider max_reorder_frames
	  update as a sequence change
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4383>

2023-04-06 20:26:24 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	  h264decoder: Ignore invalid max_num_reorder_frames in VUI
	  It's not fatal and can be ignored
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4383>

2023-04-06 19:40:12 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	  h265decoder: Fix for latency report when src caps is not configured
	  Depending on subclass, negotiation might not happen on new_sequence()
	  Fixing regression introduced by the commit
	  4a4823b9728fbb944e05d89e0fee681ab5b33e25
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4383>

2023-04-06 19:36:03 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	  h264decoder: Fix for latency report when src caps is not configured
	  Depending on subclass, negotiation might not happen on new_sequence()
	  Fixing regression introduced by the commit
	  4a4823b9728fbb944e05d89e0fee681ab5b33e25
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4383>

2023-04-10 17:31:29 +0800  Wang Chuan <jdyaomo@gmail.com>

	* sys/d3d11/gstd3d11window_win32.cpp:
	  gstd3d11window: fix memory leak
	  GstStructure may leak when using external HWND
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4382>

2023-03-26 16:49:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/qroverlay/gstdebugqroverlay.c:
	  debugqroverlay: fix string leak
	  g_string_free(.., FALSE) gives us ownership of the string
	  already, no need to duplicate that again with g_strdup(),
	  and doing so will leak the string returned by g_string_free()
	  here. Caught by compiler warnings in newer GLib versions.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4380>

2023-04-07 22:13:24 +0900  Seungha Yang <seungha@centricular.com>

	* sys/decklink/gstdecklinkaudiosink.cpp:
	  decklinkaudiosink: Fix playback when video caps is configured before audio
	  Scheduled playback starts on videosink's state change or on caps
	  but it's possible that audiosink is configure without caps yet.
	  Try start scheduled playback on audiosink's caps event as well
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4368>

2023-04-04 12:22:31 +0200  Wojciech Kapsa <wojciech.kapsa@medvc.eu>

	* docs/plugins/gst_plugins_cache.json:
	* sys/decklink/gstdecklink.cpp:
	* sys/decklink/gstdecklink.h:
	* sys/decklink/gstdecklinkvideosink.cpp:
	* sys/decklink/gstdecklinkvideosrc.cpp:
	  decklink: fix 10 bit RGB (r210) format auto detection
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2391
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4342>

2023-03-31 04:40:58 +0900  Seungha Yang <seungha@centricular.com>

	* tools/gst-transcoder.c:
	  tools: Count argc after parsing GOption on Windows
	  Existing codes rely on modified argc value by g_option_context_parse()
	  but g_option_context_parse_strv() is used in case of Windows.
	  Count arguments after the option parsing manually.
	  Fixing command "gst-inspect-1.0.exe -b"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4322>

2023-03-16 16:02:26 +0000  Colin Kinloch <colin.kinloch@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	  gtkwaylandsink: Destroy GstWlWindow when parent GtkWindow is destroyed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4312>

2023-03-29 12:58:14 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vulkan/gstvkmemory.c:
	  vkmemory: flush whole size
	  Running element_vkcolorconver test with Vulkan validation layer this error is
	  raised:
	  Code 0 : Validation Error: [ VUID-VkMappedMemoryRange-size-01390 ] Object 0:
	  handle = 0x100000000010, type = VK_OBJECT_TYPE_DEVICE_MEMORY;
	  | MessageID = 0xdd4e6d8b
	  | vkFlushMappedMemoryRanges: Size in pMemRanges[0] is 0x4, which is not a
	  multiple of VkPhysicalDeviceLimits::nonCoherentAtomSize (0x40) and offset +
	  size (0x0 + 0x4 = 0x4) not equal to the memory size (0xb). The Vulkan spec
	  states: If size is not equal to VK_WHOLE_SIZE, size must either be a multiple of
	  VkPhysicalDeviceLimits::nonCoherentAtomSize, or offset plus size must equal the
	  size of memory
	  The reason of is that the image size used in the test doesn't comply hardware
	  restrictions. In order to avoid juggling with image size and hardware
	  restrictions, this patch proposes to use VK_WHOLE_SIZE macro.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4311>

2023-03-29 12:44:00 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/check/libs/vkimage.c:
	  tests: vkimage: add VK_IMAGE_USAGE_SAMPLED_BIT usage bit
	  Running tests with Vulkan Validation enabled show an error on vkimage tests:
	  Code 0 : Validation Error: [ VUID-VkImageViewCreateInfo-image-04441 ]
	  Object 0: VK_NULL_HANDLE, type = VK_OBJECT_TYPE_COMMAND_BUFFER; Object 1: handle
	  = 0x50000000005, type = VK_OBJECT_TYPE_IMAGE;
	  | MessageID = 0xb75da543
	  | Invalid usage flag for VkImage 0x50000000005[] used by vkCreateImageView(). In
	  this case, VkImage should have VK_IMAGE_USAGE_SAMPLED_BIT |
	  VK_IMAGE_USAGE_STORAGE_BIT | VK_IMAGE_USAGE_COLOR_ATTACHMENT_BIT |
	  VK_IMAGE_USAGE_DEPTH_STENCIL_ATTACHMENT_BIT |
	  VK_IMAGE_USAGE_TRANSIENT_ATTACHMENT_BIT | VK_IMAGE_USAGE_INPUT_ATTACHMENT_BIT |
	  VK_IMAGE_USAGE_FRAGMENT_SHADING_RATE_ATTACHMENT_BIT_KHR |
	  VK_IMAGE_USAGE_FRAGMENT_DENSITY_MAP_BIT_EXT |
	  VK_IMAGE_USAGE_VIDEO_DECODE_DST_BIT_KHR |
	  VK_IMAGE_USAGE_VIDEO_DECODE_DPB_BIT_KHR |
	  VK_IMAGE_USAGE_VIDEO_ENCODE_SRC_BIT_KHR |
	  VK_IMAGE_USAGE_VIDEO_ENCODE_DPB_BIT_KHR | VK_IMAGE_USAGE_SAMPLE_WEIGHT_BIT_QCOM
	  | VK_IMAGE_USAGE_SAMPLE_BLOCK_MATCH_BIT_QCOM set during creation.
	  The Vulkan spec states: image must have been created with a usage value
	  containing at least one of the usages defined in the valid image usage list for
	  image views
	  This patch adds VK_IMAGE_USAGE_SAMPLED_BIT to the usage bits in test.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4311>

2023-03-29 11:04:20 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vulkan/gstvkfullscreenquad.c:
	  vkfullscreenquad: set enable_clear as TRUE by default
	  While using the validation layer with this pipeline:
	  gst-launch-1.0 videotestsrc num-buffers=10 ! vulkanupload ! vulkancolorconvert ! vulkansink
	  The validation layer throws this message:
	  Code 0 : Validation Error: [ VUID-VkAttachmentDescription-format-06699 ]
	  Object 0: handle = 0x5555562e9610, type = VK_OBJECT_TYPE_DEVICE; | MessageID = 0x52b3229e |
	  vkCreateRenderPass: pCreateInfo->pAttachments[0] format is
	  VK_FORMAT_B8G8R8A8_UNORM and loadOp is VK_ATTACHMENT_LOAD_OP_LOAD, but
	  initialLayout is VK_IMAGE_LAYOUT_UNDEFINED.
	  The Vulkan spec states: If format includes a color or depth aspect and loadOp is
	  VK_ATTACHMENT_LOAD_OP_LOAD, then initialLayout must not be VK_IMAGE_LAYOUT_UNDEFINED
	  When creating the render pass the loadOp can be either
	  `VK_ATTACHMENT_LOAD_OP_CLEAR` or `VK_ATTACHMENT_LOAD_OP_LOAD` depending on
	  `enable_clear`. While `enable_clear` is FALSE by default (which means
	  `VK_ATTACHMENT_LOAD_OP_LOAD`). Nonetheless, its value is explicitly changed by
	  `vkoverlaycompositor` to FALSE too!
	  This behavior was introduced in merge request #2470 where
	  `VK_ATTACHMENT_LOAD_OP_CLEAR` was a fixed value for loadOp. Thus, the bug
	  consists in a missing initialization of `enable_clear` to TRUE from that merge
	  request.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4311>

2023-03-27 16:28:04 +1100  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/vulkan/gstvkswapper.c:
	  vulkanswapper: correctly handle force-aspect-ratio=false
	  It was simply ignored so actually handle it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4290>

2023-02-13 12:05:27 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* ext/openjpeg/gstopenjpegdec.c:
	  openjpegdec: allow multithread decoding only in subframe mode
	  To avoid mis-ordered frames, allow multithread decoding only in
	  subframe mode.
	  Fixes #1786
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4275>

2023-03-24 00:23:42 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11bufferpool.cpp:
	  d3d11bufferpool: Fix invalid access in debug print loop
	  Add missing condition check in for loop
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4258>

2023-03-21 20:06:12 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvh264encoder.cpp:
	  nvh264encoder: Fix template caps
	  It should include progressive as well
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4253>

2023-03-20 17:44:23 +0000  Colin Kinloch <colin.kinloch@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	  gtkwaylandsink: Fix crash when rendering after the window is closed
	  Continuation of https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4197
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4238>

2023-03-19 21:21:31 +0100  Adrien De Coninck <deconinck.adrien@gmail.com>

	* sys/winks/ksdeviceprovider.c:
	  ksdeviceprovider: Fix leak in gst_dshow_device_provider_start
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4227>

2023-03-19 20:57:18 +0100  Adrien De Coninck <a.deconinck@intopix.com>

	* sys/directshow/dshowdeviceprovider.cpp:
	  dshowdeviceprovider: Fix leak in gst_dshow_device_provider_start
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4227>

2023-03-17 16:32:45 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/bs2b/gstbs2b.c:
	* ext/bs2b/gstbs2b.h:
	* ext/openal/gstopenal.c:
	* gst/mxf/mxfmetadata.c:
	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  plugins: Fix various trivial clang compiler warnings
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4221>

2023-03-17 15:51:53 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Fix reading of extended Opus channel configuration
	  Argument evaluation order is implementation defined in C, and gcc is
	  evaluating right-to-left (works) while clang is evaluating left-to-right
	  (does not work).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4221>

2023-03-17 23:28:58 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264picture.c:
	  h264decoder: Fix DPB bumping process
	  As per spec C.4.5.3 "Bumping", if bumping is needed but DPB holds
	  no "output needed" picture, then a picture that has the smallest
	  POC should be considered first for output
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4219>

2023-03-18 01:33:20 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvh264encoder.cpp:
	* sys/nvcodec/gstnvh265encoder.cpp:
	  nvencoder: Fix CQP option setting
	  ... and zero initialize LUID and CUDA device list to address
	  coverity issue
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4217>

2023-03-16 13:33:46 +0100  Albert Sjölund <alberts@axis.com>

	* gst-libs/gst/webrtc/nice/nicestream.c:
	  webrtc: Fix segfault traversing ice transports
	  Previously, reassigning loop index l in nicestream.c
	  could cause a segfault if l->data was null, as it could
	  reassign l to a null variable, triggering the loop
	  postassignment l->next, which then segfaults due to
	  l now being null. It is instead moved into the loop.
	  _delete_transport already performs the reassignment
	  inline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4213>

2023-03-16 23:09:53 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	  wasapi2: Fix potential crash on device activation failure
	  The activation object is live in COM thread already and therefore
	  self refcount hack is pointless.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4207>

2023-03-16 13:25:39 +0100  Albert Sjölund <alberts@axis.com>

	* ext/webrtc/webrtcdatachannel.c:
	  webrtc: patch leak caused by early return
	  In webrtc_data_channel_send functions, both data and string,
	  an early return on a non-open datachannel caused it to leak
	  the buffer used for pushing to appsrc, meaning any buffer
	  sent after leaving the open state was leaked in full.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4206>

2023-03-15 22:05:33 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window.h:
	  d3d11videosink: Fix tearing in case of fullscreen mode
	  DXGI_SWAP_CHAIN_FLAG_ALLOW_TEARING and DXGI_PRESENT_ALLOW_TEARING should
	  be used only if required, when user wants Vsync off for example.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2376
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4188>

2023-03-16 00:53:31 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11converter.cpp:
	  d3d11converter: Fix conversion backend selection
	  Intended behavior was selecting video processor only if pixel shader
	  is disabled, since we prefer shader over video processor
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4189>

2023-03-14 22:08:54 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Fix composition error on release_pad()
	  Composition might be still in progress while it's being released
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4186>

2023-01-07 16:18:03 +0100  Antonio Rojas <arojas@archlinux.org>

	* ext/zxing/gstzxing.cpp:
	  zxing: add support for zxing-c++ 2.0
	  format is a C++ string in 2.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4148>

2023-03-10 16:47:17 +1100  Matthew Waters <matthew@centricular.com>

	* ext/vulkan/vkoverlaycompositor.c:
	  vulkanoverlaycompositor: don't do a potential use after free
	  Removing a meta from a buffer means one doesn't have access to it
	  anymore.  Instead use the already reffed composition directly.
	  Fixes a use-after-free in the following pipeline:
	  ... ! vulkanupload ! timeoverlay ! vulkanoverlaycompositor ! ...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4147>

2023-03-09 14:38:13 +1100  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstcea708decoder.c:
	  cea708overlay: fix HCR interpretation
	  An unsigned counter with a for (i = end; i >= 0; i--), can be optimized to
	  infinite loop as an unsigned value will always be >= 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4141>

2023-03-07 23:46:50 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth264parse.c:
	* gst/videoparsers/gsth264parse.h:
	  h264parse: Validate VUI framerate
	  A few streams contain invalid/wrong framerate in VUI. Do validate
	  it based on the spec and ignore invalid VUI framerate values.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1753
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4131>

2023-02-28 18:48:24 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/jpegformat/gstjpegparse.c:
	  jpegparse: demote and promote log messages level
	  Before those levels where when implementing the plugin. Now these
	  levels are for reporting issues from users.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4130>

2023-02-12 22:37:01 +0800  He Junyan <junyan.he@intel.com>

	* gst/jpegformat/gstjpegparse.c:
	  jpegparse: reset parse state when the SOI is not the first marker
	  There may be garbage or some bits before a SOI comes in some problematic
	  mjpeg streams. For example, some network error may cause the EOI marker
	  of the previous frame lost, and when the new frame's SOI comes, we still
	  use the state of the last frame, which will generate errors.
	  For this kind of frames without EOI, if that frame already has some data
	  (the SOS segment is detected), we still push it as a frame with CORRUPTED
	  flag set. But if not, we just discard all the data before the new SOI.
	  Co-Authored-By: Víctor Jáquez <vjaquez@igalia.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4130>

2023-03-04 16:13:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.1 ===

2023-03-04 13:42:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.22.1

2023-02-23 14:14:57 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/meson.build:
	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	  vtdec: Correctly retrieve reorder queue length from SPS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4110>

2023-03-01 06:36:15 +1100  Jan Schmidt <jan@centricular.com>

	* sys/applemedia/avfvideosrc.m:
	  avfvideosrc: Fix description and trailing whitespace
	  Minor fix to mention that the element is also useful on MacOS,
	  and remove some trailing whitespace
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4096>

2023-03-01 06:32:19 +1100  Jan Schmidt <jan@centricular.com>

	* sys/applemedia/avfvideosrc.m:
	  avfvideosrc: Don't wait on main thread for permissions request
	  Recursively invoking the NSMainLoop can cause crashes in
	  applications that don't expect it. Instead of waiting for
	  permission to be granted, move the wait later - until we
	  actually need device permissions when starting the capture
	  session. That moves the wait into the streaming thread
	  instead of the application thread that's setting the pipeline
	  state to READY.
	  Instead of a manual state change implementation to open
	  and close the device, use the basesrc start/stop methods that
	  are intended for the purpose.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4096>

2023-02-28 15:26:45 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtenc.c:
	  vtenc: Fix checking for certain CPU variants when running in VMs
	  These checks were introduced to prevent exposing ARGB64/RGBA64 in the caps
	  when running on M1 Pro/Max with macOS <13 because of a bug in VideoToolbox.
	  Unfortunately, the initial buffer size of 15 is too short when running
	  in a VM - the CPU brand string there looks like "Apple M1 Pro (Virtual)",
	  which due to its length causes sysctlbyname to return -1, resulting in
	  broken formats still showing up in the caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4082>

2023-01-28 02:32:13 +0900  Seungha Yang <seungha@centricular.com>

	* tools/gst-transcoder.c:
	  tools: Make sure UTF-8 encoded command line arguments on Windows
	  On Windows, arguments passed in main() are system codepage
	  encoded and might not be valid UTF-8 string.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4072>

2023-02-20 03:20:46 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvencoder.cpp:
	  nvencoder: Fix b-frame encoding on Linux
	  On Windows, Win32 event handle is used to wait for encoded output,
	  but it's not available on Linux. We should delay bitstream locking
	  if encoder returns "need-more-input"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4008>

2023-02-22 00:47:09 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth265parse.c:
	* tests/check/elements/h265parse.c:
	  h265parse: Always set profile on src caps
	  h265parse should provide profile for autoplugging
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4068>

2023-02-24 21:58:00 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstjpegdecoder.c:
	  jpegdecoder: fail early if no input caps have been provided
	  The jpegdecoder class does not implement the ->parse() virtual function,
	  and we always need to add the jpegparse element before it. So we should
	  set_needs_format of the decoder to TRUE, then if no parse before it, it
	  can fail with a "not-negotiated" error early, rather than go on and
	  generate unexpected error.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1829
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4066>

2023-02-24 21:49:27 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
	  av1decoder: fail early if no input caps have been provided
	  The av1decoder class does not implement the ->parse() virtual function,
	  and we always need to add the av1parse element before it. So we should
	  set_needs_format of the decoder to TRUE, then if no parse before it, it
	  can fail with a "not-negotiated" error early, rather than go on and
	  generate unexpected error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4066>

2023-02-24 21:38:48 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gstvp9decoder.c:
	  vp9decoder: fail early if no input caps have been provided
	  The vp9decoder class does not implement the ->parse() virtual function,
	  and we always need to add the vp9parse element before it. So we should
	  set_needs_format of the decoder to TRUE, then if no parse before it, it
	  can fail with a "not-negotiated" error early, rather than go on and
	  generate unexpected error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4066>

2023-02-24 21:27:27 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gstvp8decoder.c:
	  vp8decoder: fail early if no input caps have been provided
	  The vp8decoder class does not implement the ->parse() virtual function,
	  it can only accepts frame aligned data. If some element such as filesrc
	  feed it with unaligned data, the behaviour is undecided. So we should
	  set_needs_format of the decoder to TRUE, then it can fail with a
	  "not-negotiated" error early, rather than go on and generate unexpected
	  error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4066>

2023-02-24 21:12:40 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gstmpeg2decoder.c:
	  mpeg2decoder: fail early if no input caps have been provided
	  The mpeg2decoder class does not implement the ->parse() virtual function,
	  and we always need to add the mpegvideoparse element before it. So we should
	  set_needs_format of the decoder to TRUE, then if no parse before it, it
	  can fail with a "not-negotiated" error early, rather than go on and
	  generate unexpected error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4066>

2023-02-24 21:09:31 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	  h264decoder: fail early if no input caps have been provided
	  The h264decoder class does not implement the ->parse() virtual function,
	  and we always need to add the h264parse element before it. So we should
	  set_needs_format of the decoder to TRUE, then if no parse before it, it
	  can fail with a "not-negotiated" error early, rather than go on and
	  generate unexpected error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4066>

2023-02-24 20:15:20 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	  h265decoder: fail early if no input caps have been provided
	  The h265decoder class does not implement the ->parse() virtual function,
	  and we always need to add the h265parse element before it. So we should
	  set_needs_format of the decoder to TRUE, then if no parse before it, it
	  can fail with a "not-negotiated" error early, rather than go on and
	  generate unexpected error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4066>

2023-01-27 12:45:10 +0100  Robert Rosengren <robertr@axis.com>

	* ext/curl/gstcurlhttpsrc.c:
	  curlhttpsrc: Add curl anyauth option
	  Add curl anyauth option to support http request to endpoints not using
	  only basic authentication (as default in curl). Also aligning with
	  curlhttpsink that already uses this option.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4065>

2023-02-22 15:18:12 +0100  Célestin Marot <c.marot@intopix.com>

	* sys/d3d11/gstd3d11overlaycompositor.cpp:
	  d3d11overlaycompositor: fix texture width and height
	  The dimension of the overlay texture directly corresponds to the size of the overlay **buffer** which is given by its video meta.
	  The dimension at which the overlay should be displayed directly correspond to the overlay `render_width`and `render_height`.
	  This match the behavior of glimagesink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4053>

2023-02-22 11:52:38 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/fur.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4041>

2023-02-16 15:03:25 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst-libs/gst/va/gstvaallocator.c:
	  vaallocator: Check return value from va_sync_surface
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4007>

2023-02-09 16:54:16 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvabaseenc.c:
	* sys/va/gstvabasetransform.c:
	* sys/va/gstvaencoder.c:
	* sys/va/gstvah264enc.c:
	  va: Fix some code defects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4007>

2022-12-22 10:17:42 +0000  Philippe Normand <philn@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/wpe-extension/gstwpeextension.c:
	  wpe: Logging fixes for the WebExtension
	  Using logging macros without a `GST_CAT_DEFAULT` in scope leads to critical
	  warnings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4022>

2023-02-21 15:19:35 +1100  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstccconverter.c:
	  ccconverter: don't debug a potentially freed filter caps
	  Fixes a use-after-free
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4013>

2023-02-21 00:27:27 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window.h:
	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: Fix rendering on external handle
	  Partial revert of the commit 068a5c1053ae05b3c7747243948447e764d25aa6.
	  That introduced size mismatch between internal and external HWND
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4010>

2023-02-19 12:01:59 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah265enc.c:
	  vah265enc: Use helper to update properties.
	  This is a continuation of the original patch by
	  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4009>

2023-02-14 10:29:00 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	* gst-libs/gst/codecparsers/gsth265parser.c:
	  av1parser, h265parser: Fix some code defects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4003>

2023-02-07 04:58:04 +1100  Jan Schmidt <jan@centricular.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtc: Calculate the jitter for remote-inbound-rtp stats
	  Populate the clock-rate in the internal stats structure, so
	  it can be used by the _get_stats_from_remote_rtp_source_stats()
	  method to calculate remote receivers' jitter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3994>

2023-02-01 10:44:26 +1100  Jan Schmidt <jan@centricular.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtcbin: Report full codec-stats for source pads
	  Use the current caps for webrtcbin srcpads, as received_caps
	  are only stored for sink pads based on incoming caps events.
	  Makes it so that webrtcbin stats reports contain fuller
	  codec information.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3994>

2023-02-17 14:56:20 +0800  Yinhang Liu <yinhang.liu@intel.com>

	* sys/msdk/gstmsdk.c:
	  msdkav1enc: fix the category for msdkav1enc debug
	  The msdkav1enc debug initialized with gst_msdkav1dec_debug,
	  fix this.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3991>

2023-02-16 01:36:41 +0900  Seungha Yang <seungha@centricular.com>

	* gst/codectimestamper/gstcodectimestamper.c:
	  codectimestamper: Fix timestamping on sequence update
	  ... and enhance debug logging.
	  Keep internal timestamp offsets on drain, no reason to reset them
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3987>

2023-02-15 09:45:28 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst-libs/gst/codecparsers/gsth264bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	  codecparsers: {h264,h265}bitwriter: Remove redundant condition checks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3978>

2023-02-12 23:17:41 +0900  Seungha Yang <seungha@centricular.com>

	* sys/amfcodec/gstamfav1enc.cpp:
	  amfav1enc: Set stream-format on caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3961>

2023-02-12 23:12:21 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/gstqsvav1enc.cpp:
	  qsvav1enc: Set stream-format on caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3961>

2023-02-07 16:25:02 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtutil.h:
	  vtenc/vtdec: Fix typo in RGBA64_LE availability define
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3962>

2023-02-07 16:04:22 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtenc.c:
	  vtenc: Disable ARGB/RGBA64 caps on M1 Pro/Max with macOS <13
	  Fixes #1358.
	  Passing ARGB64/RGBA64 to vtenc caused the encoding to fail
	  when running on M1 Pro/Max variants with macOS 12.x, so let's
	  remove these formats from caps when such scenario is detected.
	  This issue appears to have been fixed OS-side in macOS 13.0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3962>

2023-02-09 18:51:30 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix not waiting for async frames when flushing
	  This was causing incorrect output when seeking, especially
	  when used with a multithreaded source like `videotestsrc n-threads=2`.
	  It should now correctly wait for frames still being processed by VT
	  while vtdec is flushing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3937>

2023-02-10 12:52:17 +0100  Alessandro Bono <alessandro.bono369@gmail.com>

	* sys/win32ipc/protocol/win32ipcutils.cpp:
	  win32ipcutils: Add missing include
	  We are using std::isspace() with one parameter. That function is defined
	  in the cctype header.
	  ```
	  win32ipcutils.cpp(34): error C2672: 'std::isspace': no matching overloaded function found
	  win32ipcutils.cpp(34): error C2780: 'bool std::isspace(_Elem,const std::locale &)': expects 2 arguments - 1 provided
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3936>

2023-02-06 15:26:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	  av1parser: Don't consider unknown metadata OBUs a bitstream error
	  Just don't parse them.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1774
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3924>

2023-02-07 08:49:24 +0100  Edward Hervey <edward@centricular.com>

	* ext/closedcaption/gstceaccoverlay.c:
	  closedcaption: Don't leak caps event
	  All events that we handle should be unreffed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3906>

2023-02-03 22:10:12 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvencoder.cpp:
	* sys/nvcodec/gstnvencoder.h:
	* sys/nvcodec/gstnvh264encoder.cpp:
	* sys/nvcodec/gstnvh265encoder.cpp:
	  nvencoder: Fix min buffers parameter of allocation query in auto GPU mode
	  At the time when propose_allocation() get called, encoder session
	  would not be initialized yet.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3891>

2023-01-19 11:03:09 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah264dec.c:
	  va: Avoid the array index overflow when filling 8x8 scaling list.
	  The VA API has not defined the scaling list entries for U/V planes
	  for the 4:4:4 stream. In fact, we do not meet the 4:4:4 format output
	  for H264 so far, and scaling list is not used frequently, so we just
	  print out some warning and ignore these scaling list values.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3877>

2022-11-09 20:20:35 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtenc.c:
	  vtenc: Disable HW acceleration for interlaced ProRes
	  Due to a bug in the VT API, attempting to encode interlaced content
	  with ProRes results in an error, halting the pipeline instead of
	  gracefully falling back to software encoding.
	  Should be removed in the future if Apple ever fixes this issue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3878>

2023-02-01 17:26:57 +0200  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/aom/gstav1dec.c:
	* ext/aom/gstav1enc.c:
	  aom: Include stream-format and alignment in the AV1 caps
	  The decoder does not work with arbitrary alignment and annexb stream
	  format and the encoder can give the information that it outputs
	  obu-stream/tu to downstream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3873>

2023-02-02 05:04:48 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvvp9dec.c:
	  nvvp9dec: Fix return value
	  It should return GstFlowReturn value, not boolean
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3874>

2023-01-27 15:54:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/transcode/gsturitranscodebin.c:
	  uritranscodebin: Fix unref of NULL
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3837>

2022-12-30 00:49:27 +0900  Seungha Yang <seungha@centricular.com>

	* gst/mpegdemux/gstmpegdemux.c:
	  mpegpsdemux: Ignore DTS if PTS < DTS
	  It's possibly timestamp rollover case. But PTS < DTS is already
	  invalid case anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3836>

2023-01-24 23:26:50 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2ringbuffer.cpp:
	  wasapi2src: Fix loopback capture on Windows 10 Anniversary Update
	  ... or older. Work around an OS bug that loopback capture
	  device doesn't notify event.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1738
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3820>

2023-01-04 17:30:47 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vulkan/gstvkmemory.c:
	  vulkan: memory: Flush non coherent memory after write.
	  Spec 7.1.3:
	  If a memory object does not have the VK_MEMORY_PROPERTY_HOST_COHERENT_BIT
	  property, then vkFlushMappedMemoryRanges must be called in order to guarantee
	  that writes to the memory object from the host are made available to the host
	  domain, where they can be further made available to the device domain via a
	  domain operation. Similarly, vkInvalidateMappedMemoryRanges must be called to
	  guarantee that writes which are available to the host domain are made visible to
	  host operations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3817>

2023-01-24 11:26:02 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/nvcodec/plugin.c:
	  nvcodec: Log readable errors when initializing CUDA
	  It is really difficult for people to figure out why nvcodec has
	  0 features. Even the debug log is cryptic. Also make sure the errors
	  go to the ERROR log level, which is more likely to be enabled by
	  default.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3813>

2023-01-24 11:16:38 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/nvcodec/plugin.c:
	  nvcodec: Fix reporting of CuDeviceGetCount error
	  cuda_ret is was always going to be CUDA_SUCCESS in the error log.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3813>

2023-01-25 16:46:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.0 ===

2023-01-23 19:29:34 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.22.0

2023-01-23 16:28:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/hr.po:
	* po/ro.po:
	* po/zh_CN.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3773>

2023-01-23 23:29:08 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Workaround blending artifacts on Intel platform
	  Disable vendor implemented converter in d3d11compositor to workaround
	  artifacts
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3770>

2023-01-19 15:24:05 +0100  Jonas Danielsson <jonas.danielsson@spiideo.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/WPEThreadedView.h:
	* ext/wpe/gstwpesrcbin.cpp:
	* ext/wpe/gstwpevideosrc.cpp:
	  wpe: Add 'run-javascript' action signal
	  Introduce way of running a script in the context of the internal
	  webView.
	  Fixes #1722
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3753>

2023-01-19 22:40:36 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	  win32ipcvideosrc: Fix leak in fallback copy path
	  Clear shared memory after use
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3751>

2023-01-19 15:36:40 +0100  Edward Hervey <edward@centricular.com>

	* sys/va/gstvah264enc.c:
	* sys/va/gstvah265enc.c:
	  va: Fix path leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3755>

=== release 1.21.90 ===

2023-01-13 19:08:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.21.90

2023-01-12 22:17:24 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.cpp:
	  d3d11memory: Fix potential crash in GstD3D11PoolAllocator
	  Allocator object can be the final refcount holder, when a GstD3D11Memory
	  is being released. Do unref allocator once there's no more
	  remaining operation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3715>

2023-01-12 22:14:30 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.cpp:
	  d3d11memory: Remove GstD3D11PoolAllocator::dispose
	  Clear GstD3D11Device object in finalize method as well
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3715>

2023-01-11 15:41:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/es.po:
	* po/hr.po:
	* po/ka.po:
	* po/lt.po:
	* po/nl.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sr.po:
	* po/uk.po:
	* po/zh_TW.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3711>

2023-01-11 14:53:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* scripts/dist-translations.py:
	* scripts/meson.build:
	  Fix translation pot files when creating dist tarballs
	  Add version as per Translation Project requirements and
	  also add a .pot file without the ABI suffix.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3711>

2023-01-11 12:17:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tools/gst-transcoder.c:
	  tools: Use `gst_macos_main()` on macOS
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1673
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3709>

2023-01-11 03:23:57 +0900  Seungha Yang <seungha@centricular.com>

	* meson.build:
	  meson: gst-plugins-bad: Disable spammy MSVC warning
	  warning C5051: attribute 'noinline' requires at least '/std:c++20';
	  ignored
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3705>

2023-01-09 12:39:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfmetadata.c:
	  mxfmux: Add all local tags to the primer
	  No matter if they're allocated via GSlice or malloc(). The allocator is
	  completely irrelevant, all local tags need to be in the primer so they
	  can be handled.
	  This didn't have any effect in practice because all local tags that
	  appear in the muxer are allocated via GSlice. Only from the demuxer they
	  might be allocated via malloc().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3699>

2022-12-15 18:42:26 +0000  Philippe Normand <philn@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/aom/gstav1enc.c:
	* ext/aom/gstav1enc.h:
	  av1enc: Add property for controlling max distance between 2 keyframes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2743>

2022-07-11 11:03:16 +0530  Yatin Mann <yatinmaan1@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/aom/gstav1enc.c:
	* ext/aom/gstav1enc.h:
	  aom: av1enc: Expose more properties
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2743>

2023-01-08 23:46:40 +0530  yatinmaan <yatinmaan1@gmail.com>

	* ext/aom/gstav1enc.h:
	  aom: av1enc: Remove redundant enum variants from header
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2743>

2022-07-11 09:27:41 +0530  Yatin Mann <yatinmaan1@gmail.com>

	* ext/aom/gstav1enc.c:
	* ext/aom/gstav1enc.h:
	  aom: av1enc: Ensure that input pts is strictly increasing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2743>

2022-07-04 19:55:59 +0530  Yatin Mann <yatinmaan1@gmail.com>

	* ext/aom/gstav1enc.c:
	  aom: av1enc: Fix pts unit
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2743>

2023-01-02 18:34:59 +0900  ekwange <ekwange@gmail.com>

	* ext/directfb/dfbvideosink.c:
	* ext/directfb/dfbvideosink.h:
	  dfbvideosink: Fix compile error
	  Fix some compile errors
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3670>

2023-01-01 19:19:03 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc nice: Let libnice handle STUN/TURN DNS resolution
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3676>

2023-01-06 15:07:42 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/webrtc/nice/meson.build:
	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc: Change requirement to libnice 0.1.20
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3676>

2023-01-04 21:37:55 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  docs: explicitly declare gir build dependencies
	  As the path to the gir file is passed to hotdoc.generate_doc() and
	  not the build target itself, meson doesn't know about the dependency.
	  In turn, as the CI doesn't build everything before building the
	  documentation target, some gir files might not exist, for instance
	  in the case of gst-rtsp-server, causing the output documentation to
	  be empty.
	  The error occurred silently because hotdoc accepts wildcards for
	  *-sources arguments, thus it won't warn about a missing gir file as
	  it is legitimate for glob matching to resolve to nothing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3686>

2023-01-04 18:55:08 -0300  Rodrigo Bernardes <rodrigo.bernardes@kantaribopemedia.com>

	* sys/dvb/parsechannels.c:
	  dvbbasebin: don't rely on g_key_file_get_(integer|uint64) return
	  instead check if an error was returned, and fail if any
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3688>

2023-01-03 15:01:37 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/srt/gstsrtobject.c:
	  srt: Avoid crash on unknown option
	  Use the correct field that is null instead of the struct value which
	  never is.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3672>

2022-12-30 10:30:38 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* ext/qroverlay/gstbaseqroverlay.c:
	  qroverlay: Add qrcode-case-sensitive property
	  This allows to encode case sensitive strings, like wifi SSID/password.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3662>

2023-01-03 17:28:18 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	  h265decoder: Fix a memory leak because of slice header.
	  The gst_h265_slice_hdr_free() should free the slice header just
	  parsed, not the priv->current_slice. Or, the memory leak will
	  happen because we do not free the slices in priv->nalu list.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3671>

2022-12-30 17:10:12 +0000  مهدي شينون (Mehdi Chinoune) <mehdi.chinoune@hotmail.com>

	* ext/opencv/meson.build:
	  meson: Accept latest version of opencv 4.x
	  We've been bumping along the maximum opencv 4.x version for years,
	  just accept all opencv versions till someone reports breakage.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1680
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3664>

2022-12-26 20:53:53 +0900  Seungha Yang <seungha@centricular.com>

	* sys/va/gstvajpegdec.c:
	  vajpegdec: Set maybe-leaked flag on template caps
	  The fixup function could return new caps object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3642>

2022-12-22 21:29:39 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcstats.c:
	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Support for setting kind attribute on RTCRtpStreamStats
	  The attribute maps the `kind` property of the associated transceiver.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3630>

2022-12-23 01:00:57 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.cpp:
	* gst-libs/gst/d3d11/gstd3d11memory.h:
	  d3d11memory: Fix typo in vfunc name
	  s/set_actvie/set_active/g
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3627>

2022-12-19 19:53:28 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvenc.c:
	* sys/nvcodec/gstnvenc.h:
	* sys/nvcodec/gstnvencoder.cpp:
	  nvcudaenc: Don't use default CUDA stream
	  Set non-default CUDA stream via NvEncSetIOCudaStreams() if possible,
	  so that NVENC's internal kernel function can run on the given CUDA
	  stream instead of default CUDA stream
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3615>

2022-12-14 10:35:53 +0100  Evgeny Pavlov <lucenticus@gmail.com>

	* sys/amfcodec/gstamfav1enc.cpp:
	* sys/amfcodec/gstamfav1enc.h:
	* sys/amfcodec/include/components/VideoEncoderAV1.h:
	* sys/amfcodec/meson.build:
	* sys/amfcodec/plugin.cpp:
	  amfcodec: add support of AMF AV1 encoder
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3569>

2022-12-22 00:22:46 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudabasetransform.c:
	  cudabasetransform: Update CUDA stream on context update
	  CUDA stream must be associated with updated CUDA context
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3618>

2022-12-21 14:36:31 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvafilter.c:
	  va: Delay the VAProcPipelineCaps query after context created.
	  The VAAPI vaQueryVideoProcPipelineCaps() requires the context as the
	  parameter. So far, we always pass VA_INVALID_ID and it can succeed.
	  But the API does not say that and in theory, a valid context is required.
	  Now the new platform really needs a valid context and so we have to
	  delay that query until the context is created.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3613>

2022-12-21 00:20:17 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvdecoder.c:
	  nvdecoder: Use own CUDA stream in GL output path
	  Use the same CUDA stream passed to CuvidMapVideoFrame()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3611>

2022-12-13 08:58:43 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	  Fix API visibility macros
	  This copies the logic from GLib discussed there:
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/2936
	  Beside being simpler, it also fix all public symbols being annotated
	  with dllexport when doing a static build, as discovered there:
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3540#note_1678335
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3567>

2022-12-19 18:41:46 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvdec.c:
	* sys/nvcodec/gstnvdecoder.c:
	  nvdec: Don't use default CUDA stream
	  NVDEC launches CUDA kernel function (ConvertNV12BLtoNV12 or so)
	  when CuvidMapVideoFrame() is called. Which seems to be
	  NVDEC's internal post-processing kernel function, maybe
	  to convert tiled YUV to linear YUV format or something similar.
	  A problem if we don't pass CUDA stream to the CuvidMapVideoFrame()
	  call is that the NVDEC's internel kernel function will use default CUDA stream.
	  Then lots of the other CUDA API calls will be blocked/serialized.
	  To avoid the unnecessary blocking, we should pass our own
	  CUDA stream object to the CuvidMapVideoFrame() call
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3605>

2022-12-16 15:03:12 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	  mpegts: Always clear packetizer on DISCONT push mode
	  If a discontinuity is detected in push mode, we need to clear the cached section
	  observations since they might have potentially changed.
	  This was only done properly when operating with TIME segments (dvb, udp,
	  adaptive demuxers, ...) but not with BYTE segments (such as with custom app/fd
	  sources).
	  We still don't want to flush out the PCR observations, since this might be
	  needed for seeking in push-based BYTE sources.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1650
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3584>

2022-12-17 20:04:01 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: Fixing focus lost on desktop layout change
	  Watch all message on the window thread, instead of internal window only.
	  Otherwise, some global window messages, such as desktop layout change,
	  wouldn't be handled by our window.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3593>

2022-12-17 01:01:00 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/avfvideosrc.m:
	  avfvideosrc: Report latency when doing screen capture
	  There is no `device` when doing screen capture, but there is always an
	  `input`, so use that to decide when we can reply to a latency query.
	  Without this, the latency query just fails.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3589>

2022-12-16 18:15:04 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	  vaav1dec: Remove double caps unref.
	  There was a duplicated caps unref raising a warning.
	  Also it reorgs the sorrounding code for simplicity.
	  Fixes: #1196
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3587>

2022-12-16 02:52:08 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window.h:
	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: Move potentially time-consuming operations to ::prepare()
	  Move following tasks to ::prepare() from ::show_frame()
	  * CPU -> GPU upload
	  * GstD3D11Window object setup, including input caps change handling
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3574>

2022-12-16 21:42:50 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: Call ShowWindow() from window thread
	  ... when rendering on external HWND. ShowWindow() will cause
	  synchronous message passing to window thread and then can be blocked.
	  At the same time, window thread can wait for GStreamer thread.
	  Instead of the synchronous call, queue the task to window message
	  and performs from the window thread.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3583>

2022-12-15 01:15:10 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window.h:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11videosink: Fix deadlock when parent window is busy
	  Deadlock sequence:
	  * From a streaming thread, d3d11videosink sends synchronous message
	  to the parent window, so that internal (child) window can be
	  constructed on the parent window's thread
	  * App thread (parent window thread) is waiting for pipeline's
	  state change (to GST_STATE_NULL) but streaming thread is
	  blocked and waiting for app thread
	  To avoid the deadlock, GstD3D11WindowWin32 should send message
	  to the parent window asynchronously.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3570>

2022-12-13 12:23:56 +0100  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/gstwpevideosrc.cpp:
	  base:navigation: Cleanup navigation key modifiers enum
	  We were exposing the 'ALT' modifier as if we were guaranteeing its
	  accuracy but truth is we were only exposing configuration dependent
	  values.
	  Make the API simpler for now, the same way as Gtk3 was exposing it, and
	  when we have time to guarantee more values by making them take backends
	  configuration into account, we will expose those values in a accurate
	  way.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1402
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3565>

2022-10-18 12:17:04 +1100  Matthew Waters <matthew@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcbin.h:
	* ext/webrtc/utils.c:
	* ext/webrtc/utils.h:
	* tests/check/elements/webrtcbin.c:
	  webrtc: implement support for msid values
	  Local msid values are taken from sink pad property, or fallback to the
	  previously used cname.
	  The remote msid values are exposed on the relevant src pads.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3106>

2022-12-13 04:31:24 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecparsers/gsth264parser.h:
	  h264parser: Update doc for GST_H264_FRMAE_PACKING_TOP_BOTTOM
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1318>

2021-11-07 11:18:15 +1100  Brad Hards <bradh@frogmouth.net>

	* gst-libs/gst/codecparsers/gsth264parser.h:
	* sys/msdk/gstmsdkh264enc.c:
	  h264parser: typo fix in enum value
	  Old value is marked deprecated, new enum with same entry is added. Should be binary compatible.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1318>

2022-10-21 22:46:16 -0500  A. Wilcox <AWilcox@Wilcox-Tech.com>

	* gst-libs/gst/mpegts/gstmpegtsdescriptor.c:
	* tests/check/libs/mpegts.c:
	  mpegts: Handle when iconv doesn't support ISO 6937
	  Systems like musl libc don't support ISO 6937 in iconv.  This ensures
	  that the MPEG-TS plugin can cope with that.  There is existing support
	  in the plugin for other methods, so it seems to have been the original
	  intent anyway.
	  Fixes: #1314
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3245>

2022-12-11 10:12:25 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvaallocator.c:
	  vaallocator: Fix gi annotations.
	  Remove spurious types and skip functions that returns VASurfaceID
	  which isn't exposed to introspection.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3557>

2022-11-22 12:32:52 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* ext/zxing/gstzxing.cpp:
	* ext/zxing/meson.build:
	  zxing: update to 1.4.0 tag
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3450>

2022-12-06 11:30:47 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtspacketizer.c:
	  mpegts: Check continuity counter on section streams
	  This wasn't really done, and is needed in order to detect potential section
	  changes for sections that have got identical information (such as when switching
	  between streams that have the same PAT/PMT pid and subtable information).
	  Other checks exist in tsbase to detect if the "new" PAT/PMT really is an update or not.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3530>

2022-12-08 06:05:25 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/cuda/gstcudanvrtc.c:
	  cuda: Fix runtime compiler library loading on Windows
	  The cuda is a part of GPU driver but runtime compiler is a part of
	  cuda toolkit, which means the version number can be different.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3545>

2022-12-08 05:58:48 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/cuda/gstcuda-private.h:
	* gst-libs/gst/cuda/gstcudautils.c:
	* gst-libs/gst/cuda/gstcudautils.h:
	* sys/nvcodec/gstcudamemorycopy.c:
	  cuda: Hide memory copy util function
	  The method was intended to be used by only cudaupload/download elements
	  and not ready to be a part of public API
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3545>

2022-12-08 04:32:47 +0900  Seungha Yang <seungha@centricular.com>

	* sys/winks/gstksvideosrc.c:
	  ksvideosrc: Warn for deprecated plugin use
	  This plugin should not be used any more
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3544>

2022-12-08 04:25:55 +0900  Seungha Yang <seungha@centricular.com>

	* sys/winscreencap/gstdx9screencapsrc.c:
	* sys/winscreencap/gstgdiscreencapsrc.c:
	  winscreencap: Warn for deprecated plugin use
	  This plugin should not be used any more
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3544>

2022-11-27 00:26:22 +0900  Seungha Yang <seungha@centricular.com>

	* gst/proxy/gstproxysink.c:
	  proxysink: Post EOS message on EOS event
	  proxysink is actual sink (GST_ELEMENT_FLAG_SINK flag has configured)
	  so it should post EOS message.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3472>

2022-12-07 12:28:55 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/videoparsers/gsth264parse.c:
	  h264parse: Avoid setting wrong colorimetry info if the stream doesn't contain it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3543>

2022-12-01 19:35:07 +0200  Marek Olejnik <molejnik@fluendo.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	  h265decoder: Do not abort when failed to prepare ref pic set
	  Currently the element calls abort when failed to prepare reference
	  picture set. This can happent when the input stream is somehow
	  corrupted, like a rtsp strem with lost packets. Now it will only
	  return with GST_FLOW_ERROR instead of terminating whole process.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3505>

2022-12-07 10:21:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvbsubenc/gstdvbsubenc.c:
	  dvbsubenc: Forward GAP events as-is if we wouldn't produce an end packet and are not in the middle of an existing subtitle
	  An end packet is only produced once for the last subtitle, so multiple
	  GAP events between subtitles would result only in a single end packet
	  and nothing else otherwise. This would potentially starve downstream
	  then, so instead forward the GAP events in that case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3534>

2022-12-05 19:30:43 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/directshow/dshowvideosink.cpp:
	  directshow: Fix build error with glib 2.75 and newer
	  Starting with glib 2.75, `NULL` is `nullptr`, which cannot be
	  implicitly coerced to `0`, unlike `NULL`. So explicitly pass `0`.
	  ```
	  [3206/4524] Compiling C++ object subprojects/gst-plugins-bad/sys/directshow/gstdirectshow.dll.p/dshowvideosink.cpp.obj
	  FAILED: subprojects/gst-plugins-bad/sys/directshow/gstdirectshow.dll.p/dshowvideosink.cpp.obj
	  "cl" "-Isubprojects\gst-plugins-bad\sys\directshow\gstdirectshow.dll.p" "-Isubprojects\gst-plugins-bad\sys\directshow" "-I..\subprojects\gst-plugins-bad\sys\directshow" "-Isubprojects\gst-plugins-bad" "-I..\subprojects\gst-plugins-bad" "-Isubprojects\gst-plugins-base\gst-libs" "-I..\subprojects\gst-plugins-base\gst-libs" "-Isubprojects\gstreamer\libs" "-I..\subprojects\gstreamer\libs" "-Isubprojects\gstreamer" "-I..\subprojects\gstreamer" "-Isubprojects\orc" "-I..\subprojects\orc" "-I..\subprojects\gst-plugins-bad\sys\directshow\strmbase\baseclasses" "-Isubprojects\gst-plugins-base\gst-libs\gst\video" "-Isubprojects\gstreamer\gst" "-Isubprojects\gst-plugins-base\gst-libs\gst\audio" "-Isubprojects\gst-plugins-base\gst-libs\gst\tag" "-IC:/gst-install/include/glib-2.0" "-IC:/gst-install/lib/glib-2.0/include" "-IC:/gst-install/include" "/MD" "/nologo" "/showIncludes" "/utf-8" "/W2" "/EHsc" "/O2" "/Zi" "/wd4018" "/wd4146" "/wd4244" "/wd4305" "/utf-8" "/we4002" "/we4003" "/we4013" "/we4020" "/we4027" "/we4029" "/we4033" "/we4045" "/we4047" "/we4053" "/we4062" "/we4098" "/we4101" "/we4189" "/utf-8" "-D_MBCS" "/wd4189" "/wd4456" "/wd4701" "/wd4703" "/wd4706" "/wd4996" "-DHAVE_CONFIG_H" "/Fdsubprojects\gst-plugins-bad\sys\directshow\gstdirectshow.dll.p\dshowvideosink.cpp.pdb" /Fosubprojects/gst-plugins-bad/sys/directshow/gstdirectshow.dll.p/dshowvideosink.cpp.obj "/c" ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp
	  ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp(62): warning C5051: attribute 'noinline' requires at least '/std:c++20'; ignored
	  ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp(123): error C2664: 'LRESULT SendMessageA(HWND,UINT,WPARAM,LPARAM)': cannot convert argument 3 from 'nullptr' to 'WPARAM'
	  ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp(123): note: A native nullptr can only be converted to bool or, using reinterpret_cast, to an integral type
	  C:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\um\winuser.h(3690): note: see declaration of 'SendMessageA'
	  ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp(635): error C2664: 'BOOL SystemParametersInfoA(UINT,UINT,PVOID,UINT)': cannot convert argument 2 from 'nullptr' to 'UINT'
	  ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp(635): note: A native nullptr can only be converted to bool or, using reinterpret_cast, to an integral type
	  C:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\um\winuser.h(13153): note: see declaration of 'SystemParametersInfoA'
	  ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp(1593): error C2664: 'LRESULT SendMessageA(HWND,UINT,WPARAM,LPARAM)': cannot convert argument 3 from 'nullptr' to 'WPARAM'
	  ../subprojects/gst-plugins-bad/sys/directshow/dshowvideosink.cpp(1593): note: A native nullptr can only be converted to bool or, using reinterpret_cast, to an integral type
	  C:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\um\winuser.h(3690): note: see declaration of 'SendMessageA'
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3528>

2022-12-05 02:29:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.21.3 ===

2022-12-05 01:28:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.21.3

2022-12-04 12:25:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* docs/random/ChangeLog-0.8:
	  Remove ChangeLog files from git repository
	  This information is tracked fully in the git repository, so
	  no point having the ChangeLog duplicate it, and it interferes
	  with grepping the repository.
	  We are going to create the ChangeLogs on the fly when generating
	  tarballs going forward (with a limited history), since it's still
	  valuable for tarball consumers to be able to easily see a list of
	  recent changes.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer-project/-/issues/73
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3521>

2022-11-07 00:10:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/gen-changelog.py:
	  meson: Generate ChangeLog files for release tarballs on dist
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3521>

2022-12-01 03:52:53 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/d3d11/plugin.cpp:
	  d3d11av1dec: Promote rank to primary + 1
	  ... so that this element can have higher rank than the other software
	  AV1 decoders
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3495>

2022-12-02 07:03:30 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvajpegdec.c:
	  vajpegdec: Reenable element negotiation.
	  negotiation vmethod were overwritten by vabasedec, leading to errors.
	  This was a regression of commit b6538e0560.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3509>

2022-12-01 13:28:16 +0100  Johan Sternerup <johast@axis.com>

	* gst-libs/gst/webrtc/nice/nicestream.c:
	  webrtc: Fix possible use-after-free of GstWebRTCICETransport
	  Because of the asynchronous resolving of mDNS ICE candidates it is
	  possible that GstWebRTCICE outlives webrtcbin. This in turn prolongs
	  the lifetime of the GstWebRTCNiceStream objects via refs in
	  nice_stream_map. Thus the GstWebRTCICETransport objects held in
	  GstWebRTCNiceStream may be invalid at the time they are accessed by
	  the _on_candidate_gathering_done() callback since GstWebRTCNiceStream
	  doesn't take a reference to them. Doing so would create a circular
	  reference, so instead this commit introduces weak references to the
	  transport objects and then we can check if the objects are valid before
	  accessing them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3502>

2022-11-28 20:42:29 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvabasedec.c:
	* sys/va/gstvabasedec.h:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvah265dec.c:
	* sys/va/gstvajpegdec.c:
	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavp9dec.c:
	  va: Handle input caps change.
	  Update output caps if it's notified by baseclass
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3328
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-27 13:00:20 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	  vaav1dec: Use gst_va_base_dec_set_output_state().
	  And even that vaav1dec doesn't use vabasedec negotiate vmethod, it should align
	  with the new scheme of using base's width & height for surface size and
	  output_info structure for downstream display size negotiation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-26 11:45:52 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavp9dec.c:
	  vavp9dec: Use gst_va_base_dec_set_output_state().
	  As this element reopen the internal decoder differently, it only uses the helper
	  function to negotiate.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-28 19:31:57 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvampeg2dec.c:
	  vampeg2dec: Streams are progressive by default.
	  By initializating progressive, then interlaced streams are detected correctly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-26 09:11:39 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasedec.c:
	* sys/va/gstvabasedec.h:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvah265dec.c:
	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	  va: Add and use common decode negotiate vmethod.
	  This vmethod can be used by decoders with the same VA decoder reopen logic:
	  same profile, chroma, width and height.
	  Also a new public method called gst_va_base_dec_set_output_state() with the
	  common GStreamer code for setting the output state, which is always called by
	  the negotiate vmethod.
	  In order to do this refactoring, new variables in vabasedec have to be populated
	  by the decoders:
	  * width and height define the resolution set in VA decoder. In the case of H264
	  would be de coded_width and codec_height, or max_width and max_height in AV1.
	  * output_info is the downstream video info used for negotiation in
	  gst_va_base_dec_set_output_state().
	  * input_state, from codec parent class shall be also held by vabasedec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-24 13:52:59 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	  vaav1dec: Use gst_va_base_dec_prepare_output_frame().
	  And simplify a bit the code flow.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-24 13:15:04 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasedec.c:
	* sys/va/gstvabasedec.h:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvajpegdec.c:
	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavp9dec.c:
	  va: Add and use gst_va_base_dec_prepare_output_frame().
	  This helper will do downstream negotiation and later will
	  allocate the output frame.
	  H265 and AV1 decoders don't use this approach since their output
	  frame allocation is different.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-23 18:29:58 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvah265dec.c:
	* sys/va/gstvavp8dec.c:
	  va: Remove last_ret error handling in decoders.
	  It was used in the early development of the base classes. Now it
	  shouldn't be needed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-11-23 18:14:30 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvabasedec.c:
	* sys/va/gstvabasedec.h:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvah265dec.c:
	* sys/va/gstvajpegdec.c:
	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavp9dec.c:
	  va: Add and use gst_va_base_dec_process_output().
	  This function will copy the frame, if it's needed, and will apply buffer flags.
	  The function is used by all the decoders.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3480>

2022-12-01 22:50:30 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvabaseenc.c:
	  va: Fix the caps memory leak by gst_va_pool_new_with_config().
	  The gst_va_pool_new_with_config() will ref the caps, and so we need
	  to unref after that.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3503>

2022-11-30 13:33:49 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvadevice.c:
	* sys/va/gstvadevice.h:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvah264enc.c:
	* sys/va/gstvah265dec.c:
	* sys/va/gstvah265enc.c:
	* sys/va/gstvajpegdec.c:
	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavp9dec.c:
	  va: Add render node name in non-first devices.
	  There could be multi-GPU setups where the non-first has more
	  entrypoints than the first one, and the elements names are not
	  homogeneous, leading to pipeline building error.
	  This patch add the render node in the elements names when they belong
	  to the non-first device.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3491>

2022-11-26 21:02:00 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	  vafilter: Increase the caps for HDR.
	  As they might be other medatadata types.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3473>

2022-11-26 20:48:45 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	  vafilter: Increase the number of 3DLUT caps to 16.
	  To fix the warning on Alderlake
	  vafilter gstvafilter.c:534:gst_va_filter_ensure_filters:<vafilter0>
	  vaQueryVideoProcFiltersCaps: list argument exceeds maximum number
	  Increase the number of caps to 16 as vadumpcaps does.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3473>

2022-11-15 06:58:14 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/examples/va/vaenc-dynamic-reconfigure.c:
	  example: vaenc-dynamic-reconfigure: Support H265.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-05-04 10:42:59 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265enc.c:
	  va: Add H265 SCC profile support.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-05-02 23:14:32 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265enc.c:
	  va: Add extended formats support such as 10/12 bits, 4:2:2 and 4:4:4.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-04-25 15:49:31 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	* sys/va/gstvah265enc.c:
	  va: enable multi tile support for H265 encoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-06-02 21:18:16 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265enc.c:
	  va: enable vah265lpenc for low power mode H265 encoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-04-18 22:36:09 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265enc.c:
	  va: Add the low-delay-b frame support for H265.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-04-06 17:06:20 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	  va: Add prediction direction attribute support for H265 encoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-03-25 21:55:28 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/plugin.c:
	  va: Register and enable and the vah265enc plugin.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-03-25 21:54:30 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265enc.c:
	* sys/va/gstvah265enc.h:
	* sys/va/meson.build:
	  va: Implement the vah265enc plugin for va HEVC encoding.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2036>

2022-11-29 02:22:50 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfvideosrc.cpp:
	  mfvideosrc: Fix buffer leak
	  The allocated buffer should be released
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3479>

2022-11-29 02:10:42 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfsourcereader.cpp:
	* sys/mediafoundation/gstwin32devicewatcher.cpp:
	  mediafoundation: Chain up from GObject::constructed
	  ... so that GstTracer can trace it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3479>

2022-11-29 02:06:11 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11window_corewindow.cpp:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	* sys/d3d11/gstd3d11window_swapchainpanel.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11: Use correct ref/unref methods
	  Those objects are GstObject subclasses
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3479>

2022-11-25 20:19:22 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	  win32ipcvideosrc: Fix property name and enum value mismatch
	  Make them consistent
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3465>

2022-11-25 20:14:43 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	  win32ipcvideosrc: Protect pipe from flush thread
	  The pipe object must be protected against GstBaseSrc::unlock()
	  thread.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3465>

2022-11-25 18:38:27 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	  h264parser: Fix a typo in pred_weight_table parsing.
	  When setting default values, the reference list number of l1 is wrong.
	  Fix: https://gitlab.freedesktop.org/gstreamer/gstreamer-vaapi/-/issues/336
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3464>

2022-11-22 17:01:37 +0800  Ma, Mingyang <mingyang.ma@intel.com>

	* sys/msdk/gstmsdkdec.c:
	  msdkdec: Update decoding pts
	  Update frame pts before calling gst_video_decoder_finish_frame, or frames may be lost when transcoding in specific stream
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3449>

2022-11-19 02:56:27 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* meson_options.txt:
	* sys/meson.build:
	* sys/win32ipc/gstwin32ipcutils.cpp:
	* sys/win32ipc/gstwin32ipcutils.h:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	* sys/win32ipc/gstwin32ipcvideosink.h:
	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	* sys/win32ipc/gstwin32ipcvideosrc.h:
	* sys/win32ipc/meson.build:
	* sys/win32ipc/plugin.cpp:
	* sys/win32ipc/protocol/win32ipcmmf.cpp:
	* sys/win32ipc/protocol/win32ipcmmf.h:
	* sys/win32ipc/protocol/win32ipcpipeclient.cpp:
	* sys/win32ipc/protocol/win32ipcpipeclient.h:
	* sys/win32ipc/protocol/win32ipcpipeserver.cpp:
	* sys/win32ipc/protocol/win32ipcpipeserver.h:
	* sys/win32ipc/protocol/win32ipcprotocol.cpp:
	* sys/win32ipc/protocol/win32ipcprotocol.h:
	* sys/win32ipc/protocol/win32ipcutils.cpp:
	* sys/win32ipc/protocol/win32ipcutils.h:
	  win32ipc: Add WIN32 shared memory videosrc/sink elements
	  Windows supports various IPC methods but that's completely
	  different form that of *nix from implementation point of view.
	  So, instead of adding shared memory functionality to existing
	  shm plugin, new WIN32 shared memory source/sink elements
	  are implemented in this commit.
	  Each videosink (server) and videosrc (client) pair will communicate
	  using WIN32 named pipe and thus user should configure unique/proper
	  pipe name to them (e.g., \\.\pipe\MyPipeName).
	  Once connection is established, videosink will create named shared memory
	  object per frame and client will be able to consume the object
	  (i.e., memory mapped file handle) without additional copy operation.
	  Note that implementations under "protocol" directory are almost
	  pure C/C++ with WIN32 APIs except for a few defines and debug functions.
	  So, applications can take only the protocol part so that the application
	  can send/receive shared-memory object from/to the other end
	  even if it's not an actual GStreamer element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3441>

2022-11-23 14:35:07 +0100  Jan Lorenz <jan.lorenz@pascom.net>

	* sys/mediafoundation/gstmfcapturedshow.cpp:
	  mfvideosrc: check HRESULT of CreateClassEnumerator correctly
	  Fixes a crash during direct show device enumeration
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1599
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3460>

2022-11-22 15:27:38 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/kms/gstkmssink.h:
	  kmssink: Fix compilation without kernel headers
	  There was a drm/drm_mode.h included added recently, drm/ is usually
	  referencing the linux kernel header, but we only requires the libdrm
	  headers to be installed. On top of this, including drm_mode.h is never
	  needed as its already included by drm.h.
	  Fixes #1596
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3452>

2022-11-10 08:50:35 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxclient.cpp:
	* ext/onnx/gstonnxclient.h:
	* ext/onnx/gstonnxobjectdetector.cpp:
	* ext/onnx/meson.build:
	  onnx: Update to OnnxRT >= 1.13.1 API
	  - Replace deprecated methods
	  - Add a check on ORT version we are compatible with.
	  - Add clarification to the example given.
	  - Add the url to retrieve the model mentioned in the example.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3388>

2022-11-22 16:42:26 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gsth265parse.c:
	  h265parse: Add the missing timestamp when splitting a frame.
	  When splitting a frame, the gst_buffer_copy_region() does not copy
	  the timestamp correctly for sub frames when the offset is not 0.
	  We still need those timestamps for each output sub frame.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3448>

2022-11-22 15:50:44 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gsth264parse.c:
	  h264parse: Add the missing timestamp when splitting a frame.
	  When splitting a frame, the gst_buffer_copy_region() does not copy
	  the timestamp correctly for sub frames when the offset is not 0.
	  We still need those timestamps for each output sub frame.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3448>

2022-11-21 19:40:35 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvbsubenc/gstdvbsubenc-util.c:
	* gst/dvbsubenc/gstdvbsubenc.c:
	* gst/dvbsubenc/gstdvbsubenc.h:
	  dvbsubenc: Write Display Definition Segment if a non-default width/height is used
	  Otherwise it can't be rendered by dvbsuboverlay or ffmpeg at least.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3446>

2022-10-28 00:06:23 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/aom/gstav1dec.c:
	  av1dec: Demote rank to secondary
	  cerbero does not build this plugin for now, and there's altanative
	  dav1ddec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3287>

2022-11-18 13:32:10 -0800  Bill Hofmann <bill.hofmann@gmail.com>

	* sys/kms/gstkmsedid.c:
	* sys/kms/gstkmsedid.h:
	* sys/kms/gstkmssink.c:
	* sys/kms/gstkmssink.h:
	* sys/kms/meson.build:
	  kmssink: add HDR10 infoframe support
	  If stream has HDR10 metadata and HDMI device EDID supports it, this patch
	  will set the DRM properties accordingly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3303>

2022-11-21 15:48:49 -0500  Bill Hofmann <bill.hofmann@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/kms/gstkmssink.c:
	* sys/kms/gstkmssink.h:
	  kmssink: Add skip-vsync property
	  The legacy emulation in DRM/KMS drivers badly interact with GStreamer and
	  may cause the framerate to be halved. With this property, users can disable
	  vsync (which is handled internally by the emulation) in order to regain the
	  full framerate.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3303>

2022-11-18 02:06:51 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
	  av1decoder: Clear highest_spatial_layer per sequence header
	  Clear the value to default zero, indicating that no spatial scalability
	  layer is used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3430>

2022-11-18 01:59:55 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
	  av1decoder: Don't error out by dropped OBU
	  OBU can be dropped if the current layer is not in selected operation
	  point
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3430>

2022-11-18 01:49:43 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
	  av1decoder: Fix wrong spatial layer validation
	  Highest spatial id and temporal id is independent, and should not drop
	  temporal enhance layer by the previous condition. Note that
	  the decision for dropping OBU based on operation point is being
	  handled in gst_av1_parser_identify_one_obu() already.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1585
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3430>

2022-11-18 01:43:26 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	  av1parser: Don't print warning for expected OBU drop
	  Dropping an OBU which is not in selected operation point is an
	  expected condition.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3430>

2022-11-18 01:41:33 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	  av1parser: Remove impossible condition
	  unsigned integer cannot be negative
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3430>

2022-11-19 19:22:17 +1100  Jan Schmidt <jan@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Remove queue after rtpfunnel
	  The original BUNDLE support commit placed a queue after the
	  rtpfunnel that combines streams, but I don't see a good reason for
	  it. It has default settings, so if network output is slow might
	  accidentally store up to 1 second of pending data, increasing
	  latency.
	  Remove it in favour of doing any necessary buffering before
	  webrtcbin. If it turns out that there is a reason for it to
	  exist, the limits should probably be configurable and small.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3437>

2022-11-19 04:42:56 +1100  Jan Schmidt <jan@centricular.com>

	* gst-libs/gst/webrtc/webrtc_fwd.h:
	  webrtc: Improve GstWebRTCStatsType docstring
	  Fix a typo of peer-connectiion -> peer-connection
	  Add a link to the w3c RTCStats type for a description
	  of what each statistics type is.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3434>

2022-11-19 04:42:20 +1100  Jan Schmidt <jan@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Fix a typo in debug log
	  transceiever -> transceiver
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3434>

2022-11-13 03:07:54 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/plugin.cpp:
	  qsv: Promote encoder rank to PRIMARY on Windows
	  QSV is very well integrated with GstD3D11 infrastructure on Windows,
	  and this is the recommended H/W encoder element over the MediaFoundation
	  plugins on Intel GPU system.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3393>

2022-11-15 13:50:13 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2format.c:
	  video: Add arbitrary tile dimensions support
	  In current tile representation, only tiles with power of two
	  width and height in bytes are supported. This limitation
	  prevents adding more complex tiles formats.
	  In this patch, we deprecate tile_ws and tile_hs from GstVideoFormatInfo and
	  replace if with an array of GstVideoTileInfo. Each plane tiles are then
	  described with their pixels width/height, line stride and total size.
	  The helper gst_video_format_info_get_tile_sizes() that depends on the
	  deprecated API is also being removed. This can simply be removed as it wasn't
	  in any stable release yet.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3424>

2020-08-31 14:04:54 +0200  Johan Sternerup <johast@axis.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/webrtc/gstwebrtcbin.c:
	* gst-libs/gst/webrtc/ice.c:
	* gst-libs/gst/webrtc/ice.h:
	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtcbin: Add settings for HTTP proxy
	  Pass this to libnice which has a simple HTTP 1.0 proxy with basic
	  authentication only.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2867>

2021-10-20 13:02:31 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Add pad-name to warning for continuity mismatch
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3141>

2022-05-02 19:13:41 +0200  Enrique Ocaña González <eocanha@igalia.com>

	* ext/hls/gsthlsdemux.c:
	* ext/hls/gsthlsdemux.h:
	* ext/hls/m3u8.c:
	* ext/hls/m3u8.h:
	* tests/check/elements/hlsdemux_m3u8.c:
	  hlsdemux: Expose EXT-X-PROGRAM-DATE-TIME as tags.
	  This allows an application to use timestamps associated
	  with fragments.
	  Patch by: Thomas Bluemel <tbluemel@control4.com>
	  See: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/195
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1417>

2022-11-16 19:39:47 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	  vabaseenc: Reduce logging noise if finish_frame fails.
	  Fixes: #1579
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3423>

2022-11-13 03:28:23 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/amfcodec/plugin.cpp:
	  amfcodec: Promote encoder rank to PRIMARY
	  This H/W encoder implementation is the recommended element
	  on AMD system over the MediaFoundation one.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3394>

2022-11-02 14:45:51 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Push GST_EVENT_STREAM_COLLECTION
	  Demuxers that are not streams-aware will have that handled by parsebin. This
	  created a difference in results downstream between streams-aware and
	  non-streams-aware demuxers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2784>

2022-11-14 15:53:00 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codech265dec.c:
	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	  v4l2codecs: Allow output caps to be updated
	  This change allow output caps to be updated even though we stay in
	  streaming state. This is needed so that any upstream updated to fields
	  like framerate, hdr data, etc. can result in a downstream caps event
	  being pushed.
	  Previously, any of these changes was being ignored and the downstream
	  caps would not reflect it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3328>

2022-11-05 21:06:39 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvav1dec.c:
	* sys/nvcodec/gstnvdecoder.c:
	* sys/nvcodec/gstnvdecoder.h:
	* sys/nvcodec/gstnvh264dec.c:
	* sys/nvcodec/gstnvh265dec.c:
	* sys/nvcodec/gstnvvp8dec.c:
	* sys/nvcodec/gstnvvp9dec.c:
	  nvdecoder: Handle input caps change
	  Update output caps if it's notified by baseclass
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3328>

2022-11-05 21:00:43 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvav1dec.c:
	* sys/nvcodec/gstnvdecoder.c:
	* sys/nvcodec/gstnvdecoder.h:
	* sys/nvcodec/gstnvh264dec.c:
	* sys/nvcodec/gstnvh265dec.c:
	* sys/nvcodec/gstnvvp8dec.c:
	* sys/nvcodec/gstnvvp9dec.c:
	  nvdecoder: Don't hold decoder output state
	  It's not referenced by this implementation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3328>

2022-11-05 20:16:21 +0900  Seungha Yang <seungha@centricular.com>

	* tests/examples/codecs/decoder-caps-update.cpp:
	* tests/examples/codecs/meson.build:
	* tests/examples/meson.build:
	  examples: Add test code to verify decoder caps update
	  Sample command lines
	  * Configures pipeline with video encoder
	  decoder-caps-update \
	  --encoder="video/x-raw,format=NV12 ! qsvh264enc" \
	  --decoder=d3d11h264dec \
	  --videosink=d3d11videosink
	  * Playing exisiting file
	  decoder-caps-update \
	  --location=test_file.mp4 \
	  --decoder=d3d11h264dec \
	  --videosink=d3d11videosink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3328>

2022-11-05 02:47:54 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Handle input caps change
	  Update output caps if it's notified by baseclass
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3328>

2022-11-05 01:07:02 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
	* gst-libs/gst/codecs/gstav1picture.c:
	* gst-libs/gst/codecs/gstav1picture.h:
	* gst-libs/gst/codecs/gsth264decoder.c:
	* gst-libs/gst/codecs/gsth264picture.c:
	* gst-libs/gst/codecs/gsth264picture.h:
	* gst-libs/gst/codecs/gsth265decoder.c:
	* gst-libs/gst/codecs/gsth265picture.c:
	* gst-libs/gst/codecs/gsth265picture.h:
	* gst-libs/gst/codecs/gstmpeg2decoder.c:
	* gst-libs/gst/codecs/gstmpeg2picture.c:
	* gst-libs/gst/codecs/gstmpeg2picture.h:
	* gst-libs/gst/codecs/gstvp8decoder.c:
	* gst-libs/gst/codecs/gstvp8picture.c:
	* gst-libs/gst/codecs/gstvp8picture.h:
	* gst-libs/gst/codecs/gstvp9decoder.c:
	* gst-libs/gst/codecs/gstvp9picture.c:
	* gst-libs/gst/codecs/gstvp9picture.h:
	  codecs: Keep track of non-decoding-essential input state change
	  In theory, input caps can be updated anytime at non-keyframe or
	  sequence boundary, such as HDR10 metadata, framerate, aspect-ratio
	  or so. Those information update might not trigger ::new_sequence()
	  or subclass may ignore the changes.
	  By this commit, input state change will be tracked by baseclass
	  and subclass will be able to know the non-decoding-essential
	  update by checking the codec specific picture struct
	  on ::output_picture()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3328>

2022-11-16 09:42:08 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/mpegtsdemux/mpegtspacketizer.c:
	  Revert "mpegtspacketizer: memcmp potentially seen_before data"
	  This reverts commit fcad4cc646a23e4e621ec5e8485958ab78d98090.
	  This was wrong is so many ways.
	  * The memcmp was badly used (it should use == 0 to check the data is identical,
	  and not != 0)
	  * There was no boundary checks on the present stream section_data when passing
	  it to memcmp.
	  * The return value should have been TRUE (i.e. we have done all checks, none of
	  them failed, therefore the section has been seen before)
	  * stream->section_data would *always* be NULL if the section had already been
	  processed
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1559
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3421>

2022-11-16 09:29:59 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	  mpegts: Check is program is identical before updating
	  There is no need to update the program if it's identical :)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3421>

2022-11-16 03:15:44 +0900  Seungha Yang <seungha@centricular.com>

	* gst/codectimestamper/gstcodectimestamper.c:
	* gst/codectimestamper/gstcodectimestamper.h:
	  codectimestamper: Remove duplicated GstSegment struct
	  Use the one in priv struct. And use gst_segment_is_equal()
	  to compare GstSegment
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3380>

2022-11-09 18:03:48 +1100  Matthew Waters <matthew@centricular.com>

	* gst/codectimestamper/gstcodectimestamper.c:
	* tests/check/elements/h264timestamper.c:
	* tests/check/meson.build:
	  h264/5timestamper: provide a workaround for h264/5parse producing pts=NONE buffers
	  A workaround for
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/649
	  and
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/287
	  which is hard to change baseparse behaviour for both video and audio
	  parsers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3380>

2022-11-12 06:16:59 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  nvcodec: Update plugin cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-12 05:45:15 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/elements/cudaconvert.c:
	  tests: cudaconvert: Update test code
	  Adding more formats, and rescale test with borders
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-12 04:48:50 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudaconvertscale.c:
	  cudaconvertscale, cudascale: Add "add-borders" property and support 8bits RGB planar formats
	  Adding "add-borders" property which is identical to that of
	  videoscale and this will be enabled by default.
	  And adding RGBP/BGRP/GBR/GBRA format support.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-12 04:06:32 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/cuda-converter.c:
	* sys/nvcodec/cuda-converter.h:
	* sys/nvcodec/gstcudaconverter.c:
	* sys/nvcodec/gstcudaconverter.h:
	* sys/nvcodec/gstcudaconvertscale.c:
	* sys/nvcodec/meson.build:
	  cuda: Rewrite colorspace/rescale object
	  Rewriting GstCudaConverter object, since the old implementation was not
	  well organized and it's hard to add new features.
	  Moreover, the conversion operations were not very optimized.
	  Major change of this implementation:
	  * Remove redundant intermediate conversion operations such as
	  any RGB -> ARGB(64) conversion or any YUV -> Y444 (or 16bits Y444).
	  That's not required most of cases. The only required case is
	  converting 24bits (such as RGB/BGR) packed format to 32bits format
	  because CUDA texture object does not support sampling 24bits format
	  * Use normalized sample fetching (i.e., [0, 1] range float value)
	  and also normalized coordinates system for CUDA texture.
	  It's consistent with the other graphics APIs such as Direct3D
	  and OpenGL, that makes sampling operations much easier.
	  * Support a kind of viewport and adopt math for colorspace conversion
	  from GstD3D11 implementation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-10 19:38:03 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/cuda/gstcudamemory.c:
	* sys/nvcodec/gstcudaformat.h:
	  cudaupload,cudadownload: Add support for planar 8bits RGB formats
	  Defines RGBP, BGRP, and GBR formats, which have the same memory
	  layout as already supported Y444. And defines GBRA format as well
	  which needs just one additional alpha plane
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-10 20:47:44 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/cuda/gstcudacontext.c:
	  cudacontext: Store texture alignment
	  it was missed in the previous refactoring
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-12 04:01:08 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudabasefilter.c:
	* sys/nvcodec/gstcudabasefilter.h:
	* sys/nvcodec/gstcudaconvert.c:
	* sys/nvcodec/gstcudaconvert.h:
	* sys/nvcodec/gstcudaconvertscale.c:
	* sys/nvcodec/gstcudaconvertscale.h:
	* sys/nvcodec/gstcudafilter.c:
	* sys/nvcodec/gstcudascale.c:
	* sys/nvcodec/gstcudascale.h:
	* sys/nvcodec/meson.build:
	  cudaconvert, cudascale: Port to GstCudaBaseCovert baseclass
	  Don't need to hold duplicated code in the source tree
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-09 21:31:01 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudabasefilter.h:
	* sys/nvcodec/gstcudaconvertscale.c:
	* sys/nvcodec/gstcudaconvertscale.h:
	* sys/nvcodec/gstcudafilter.c:
	* sys/nvcodec/meson.build:
	  cuda: Add convertscale element
	  GstCudaConverter object can do colorspace conversion and scale at once.
	  Adding new element "cudaconvertscale" to do that, this can
	  save unnecessary GPU operation if colorspace conversion and
	  rescale is required for given input stream format.
	  Most of codes are taken from d3d11convert element
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3389>

2022-11-10 14:39:12 +0800  Elliot Chen <elliot.chen@nxp.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: add warning message details check before post it
	  For some warning message which has no detail data, need check to avoid printing critical log.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3382>

2021-10-14 11:56:58 +0200  Rafał Dzięgiel <rafostar.github@gmail.com>

	* tests/check/elements/dash_mpd.c:
	  tests: Add DASH MPD baseURL with query test
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1147>

2021-10-14 10:12:51 +0200  Rafał Dzięgiel <rafostar.github@gmail.com>

	* ext/dash/gstmpdparser.c:
	  mpdparser: Fix missing baseURL query
	  When no initializationURL or mediaURL, return baseURL that also
	  contains original URI query if available. This fixes a problem
	  where URI query was being omitted in the HTTP requests.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1147>

2021-10-14 10:09:31 +0200  Rafał Dzięgiel <rafostar.github@gmail.com>

	* ext/dash/gstmpdclient.c:
	* ext/dash/gstmpdparser.c:
	* ext/dash/gstmpdparser.h:
	  mpdparser: Be consistent about returning duplicated URL
	  Instead of returning a "const gchar" or a "gchar" that should not be freed, always
	  return a duplicated string as those functions were used together with g_strdup anyway.
	  This is needed to prepare support for returning modified strings in next commit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1147>

2021-10-14 10:18:40 +0200  Rafał Dzięgiel <rafostar.github@gmail.com>

	* ext/dash/gstmpdparser.c:
	  mpdparser: Return correct mediaURL value
	  This fixes a problem where get_mediaURL was returning NULL when segmentURL
	  was unavailable instead of baseURL as a fallback.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1147>

2022-11-13 02:08:15 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11converter.cpp:
	  d3d11converter: Fix YUY2 conversion error
	  Always configure shader conversion path, then fallback to the
	  shader path if processor is not available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3392>

2022-11-12 22:55:52 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst-libs/gst/d3d11/gstd3d11-private.h:
	* gst-libs/gst/d3d11/gstd3d11converter.cpp:
	* gst-libs/gst/d3d11/gstd3d11device.cpp:
	* tests/check/elements/d3d11colorconvert.c:
	  d3d11: Add support for planar RGB formats
	  Adding RGBP, BGRP, GBR, GBR_10LE, GBR_12LE, GBRA, GBRA_10LE, and
	  GBRA_12LE format support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3392>

2022-11-13 02:28:42 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  d3d11screencapturesrc: Update plugin cache
	  Missed in
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3360
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3392>

2022-11-15 00:11:15 +1100  Jan Schmidt <jan@centricular.com>

	* ext/aes/gstaesdec.c:
	  aesdec: Fix padding removal for per-buffer-padding=FALSE
	  When per-buffer-padding is FALSE, the OpenSSL context needs
	  to be told to remove any padding at the end of the ciphertext
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1243
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3406>

2022-11-12 09:16:36 +0100  Edward Hervey <edward@centricular.com>

	* gst/transcode/gsttranscodebin.c:
	  transcodebin: Use const arguments for clarity
	  And rename it when it classhes with existing local variable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 09:15:23 +0100  Edward Hervey <edward@centricular.com>

	* gst/transcode/gsttranscodebin.c:
	  transcodebin: Don't leak GstStream
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 08:35:27 +0100  Edward Hervey <edward@centricular.com>

	* gst/transcode/gsttranscodebin.c:
	  transcode: Don't leak caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 08:35:12 +0100  Edward Hervey <edward@centricular.com>

	* gst/transcode/gst-cpu-throttling-clock.c:
	  transcode: Don't leak timer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-11 14:37:17 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	  mpegtsbase: Don't leak GList
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 10:04:39 +0100  Edward Hervey <edward@centricular.com>

	* gst/transcode/gsturitranscodebin.c:
	  uritranscodebin: Don't leak uris, profile, sinkpad and filters
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 10:04:26 +0100  Edward Hervey <edward@centricular.com>

	* gst/transcode/gsttranscodebin.c:
	  transcodebin: Don't leak profile
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 10:03:48 +0100  Edward Hervey <edward@centricular.com>

	* gst/transcode/gsttranscodebin.c:
	  transcodebin: Actually free the TranscodingStream structure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-12 10:02:53 +0100  Edward Hervey <edward@centricular.com>

	* gst-libs/gst/transcoder/gsttranscoder.c:
	  transcoder: Don't leak API bus and GMainLoop
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3390>

2022-11-10 03:23:53 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/meson.build:
	  meson: d3d11: Clarify the message for WGC support check
	  Even Windows10 SDK seems to have required symbols depending on installed
	  SDK version
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3376>

2022-11-10 02:49:38 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11winrtcapture.cpp:
	  d3d11screencapturesrc: Fix build error with MSVC x86
	  Delete the code for now. Note that the code block is unnecessary already
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3375>

2022-11-10 14:31:43 +1100  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/webrtcdatachannel.c:
	* ext/webrtc/webrtcdatachannel.h:
	  webrtc/datachannel: handle error messages from appsrc/sink
	  Fixes a possible race where closing a data channel may produce e.g.
	  not-linked errors.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3381>

2022-11-10 14:22:30 +1100  Matthew Waters <matthew@centricular.com>

	* ext/sctp/gstsctpdec.c:
	  sctpdec: fix stream reset (src pad removal) if no data is ever received
	  If we don't receive any data from usrsctp, then there will be no src pad
	  for the stream id and the stream reset will fail to remove the relevant
	  src pad.  Workaround by first attempting to add the relevant src pad, then
	  almost immediately removing it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3381>

2022-07-19 17:42:12 +0800  He Junyan <junyan.he@intel.com>

	* tests/check/libs/h264bitwriter.c:
	* tests/check/libs/h265bitwriter.c:
	  test: Correct the test suite name of the h264 and h265 bitwriter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3384>

2022-10-10 19:58:12 +0100  Colin Kinloch <colin.kinloch@collabora.com>

	* sys/va/gstvavpp.c:
	  videocrop, videobox: Simplify navigation event handling and support touch events
	  Signed-off-by: Colin Kinloch <colin.kinloch@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3053>

2022-09-23 19:29:31 +0100  Colin Kinloch <colin.kinloch@collabora.com>

	* sys/va/gstvavpp.c:
	  va: Fix vapostproc navigation event co-ordinate mapping
	  Signed-off-by: Colin Kinloch <colin.kinloch@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3053>

2022-09-19 18:05:28 +0100  Colin Kinloch <colin.kinloch@collabora.com>

	* sys/va/gstvavpp.c:
	  va: Use gst_video_orientation_from_tag to parse orientation
	  Signed-off-by: Colin Kinloch <colin.kinloch@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3053>

2022-09-07 16:26:22 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: delete the macros to make video memory work on Windows
	  Since gst_msdk_import_to_msdk_surface has been implemented for d3d11, we
	  delete the macros to make it work on Windows.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-09-07 15:29:37 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: modify the way of copying system memory to msdk surface
	  Replace video_copy with memcpy to fix the issue when the sizes of the
	  src frame and dst frame don't match. Moreover, for Windows, you have to
	  do the copy first and call gst_msdk_import_to_msdk_surface later.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-09-07 10:55:57 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: add d3d11 support during negotiation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-09-02 16:03:09 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: add d3d11 video memory to sink and src caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-09-07 10:44:16 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	* sys/msdk/gstmsdkvpp.h:
	  msdkvpp: delete use_sinkpad_va and use_srcpad_va
	  This two variables are no longer useful. Delete them for now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-08-26 16:19:33 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkenc.c:
	  msdkenc: modify the way of copying system memory to msdk surface
	  Replace video_copy with memcpy to fix the issue when the sizes of the
	  src frame and dst frame don't match. Moreover, for Windows, you have to
	  do the copy first and call gst_msdk_import_to_msdk_surface later.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-10-17 17:01:18 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkallocator.h:
	* sys/msdk/gstmsdkallocator_d3d.c:
	* sys/msdk/gstmsdkenc.c:
	  msdkallocator_d3d: add d3d11 video memory and import it to msdk surface
	  This patch introduces d3d11 texture and index to GstMsdkMemoryID and
	  implements gst_msdk_import_to_msdk_surface in order to wrap the surface
	  to mfxMemId.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-08-26 14:13:36 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkallocator_d3d.c:
	  msdkallocator_d3d: implement GetHDL callback function
	  During encoding process, oneVPL runtime will call GetHDL callback function.
	  This patch implements this function for the use of msdk.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-10-17 16:48:15 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkallocator.h:
	* sys/msdk/gstmsdkallocator_libva.c:
	* sys/msdk/gstmsdkallocator_libva.h:
	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkvpp.c:
	  msdkallocator: add a parameter to function gst_msdk_import_to_msdk_surface
	  Add a flags parameter to function gst_msdk_import_to_msdk_surface and
	  move the function declaration to gstmsdkallcator.h to prepare for adding
	  Windows implementation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-08-19 13:51:11 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkenc.h:
	  msdkenc: add d3d11 pool during negotiation
	  This patch adds Windows specific set_format and propose_allocation
	  functions to enable creating d3d11 pools during negotiation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-08-19 13:40:05 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkh265enc.c:
	* sys/msdk/gstmsdkvp9enc.c:
	* sys/msdk/msdk.h:
	  msdkenc: add D3D11 caps for msdkenc
	  This patch adds D3D11 feature to sink factory for msdkenc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-05-07 17:10:34 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	* sys/msdk/gstmsdkcontext.h:
	* sys/msdk/gstmsdkcontextutil.c:
	* sys/msdk/gstmsdkcontextutil.h:
	* sys/msdk/gstmsdkdec.c:
	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkvpp.c:
	  MSDK: Introduce d3d11 device to MSDK context
	  Currently MSDK context does not support d3d11va. Now introduce d3d11va
	  device to MSDK context, making it able to create msdk session with d3d11
	  device and to easily share with upstream and donwstream.
	  Add environment variable to enable user to choose GPU device in multi-GPU
	  environment. This variable is only valid when there's no context
	  returned by upstream or downstream. Otherwise it will use the device
	  that created by upstream or downstream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-05-07 16:28:50 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/meson.build:
	  MSDK: Add gst d3d11 lib into MSDK's dependency
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3231>

2022-11-09 14:59:41 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	  vafilter: Log out processed surfaces for debug.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3373>

2022-11-09 14:53:30 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvadeinterlace.c:
	* sys/va/gstvavpp.c:
	  vadeinterlace, vapostproc: Drop output buffer if process failed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3373>

2022-11-07 16:32:50 -0300  Daniel <daniel.almeida@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/debugutils/gstvideocodectestsink.c:
	  debugutils: videocodectestsink: add support for more formats
	  Add support for more formats so as to run the libvpx high bit depth test suite.
	  This means the files under CONFIG_VP9_HIGHBITDEPTH
	  This also allows running the yuv444p 8bit file in the regular 8 bit vp9 suite.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3356>

2022-11-10 15:07:20 +0800  Elliot Chen <elliot.chen@nxp.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: fix segmentation fault caused by subtitle info update
	  For subtitle stream played by subrui, gstplay will update subtitle
	  information before select the stream by using playbin3. Need check
	  the subtitle_sid value to avoid segmentation fault.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3383>

2022-11-09 14:16:23 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/gs/gstgssink.cpp:
	  gssink: add 'content-type' property
	  Useful when one wants to upload a video as `video/mp4` instead of
	  'video/quicktime` for example.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3371>

2022-06-01 21:24:41 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/ccutils.c:
	* ext/closedcaption/ccutils.h:
	* ext/closedcaption/gstcccombiner.c:
	* ext/closedcaption/gstcccombiner.h:
	  cccombiner: initial implementation of using CCBuffer helper
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-06-01 17:47:55 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/ccutils.c:
	* ext/closedcaption/ccutils.h:
	* ext/closedcaption/gstccconverter.c:
	* ext/closedcaption/gstccconverter.h:
	* tests/check/elements/ccconverter.c:
	  closedcaption: move CC buffering to helper object
	  Move most of the interesting code from ccconverter to this new helper
	  object.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-05-30 21:39:13 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/ccutils.c:
	* ext/closedcaption/ccutils.h:
	* ext/closedcaption/gstcccombiner.c:
	* ext/closedcaption/gstccconverter.c:
	  closedcaption: move cdp->cc_data into shared location
	  So it can be used by both ccconverter and cccombiner
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-05-13 15:19:43 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/ccutils.c:
	* ext/closedcaption/ccutils.h:
	* ext/closedcaption/gstcccombiner.c:
	* ext/closedcaption/gstccconverter.c:
	* ext/closedcaption/gstclosedcaption.c:
	  closedcaption: move cc_data->cdp to shared file
	  Used by both ccconverter and cccombiner
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-05-12 13:22:00 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstccconverter.c:
	  ccconverter: avoid different indent versions indenting !! differently.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-05-12 13:19:58 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/ccutils.c:
	* ext/closedcaption/ccutils.h:
	* ext/closedcaption/gstcccombiner.c:
	* ext/closedcaption/gstcccombiner.h:
	* ext/closedcaption/gstccconverter.c:
	* ext/closedcaption/meson.build:
	  closedcaption: move cdp framerate table to common file
	  shared by both cccombiner and ccconverter
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-05-12 13:15:19 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstcccombiner.c:
	  cccombiner: don't assume a single cea608 data packet per buffer
	  e.g. 24fps can have up to 3 and would include either two field0 or
	  field1 cea608 data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-05-06 14:00:38 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstccconverter.c:
	* tests/check/elements/ccconverter.c:
	  ccconverter: drop data when overflow on extracting cea608 from cc_data
	  If the buffer overflows, then drop rather than causing a failure and
	  fropping the output buffer indefinitely.  This may have caused downstream to
	  be waiting for data the will never arrive.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-05-05 18:27:50 +1000  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstccconverter.c:
	* tests/check/elements/ccconverter.c:
	  ccconverter: fix framerate passthrough with malformed input
	  If an input is malformed (only produces cea608 field 1 cc_data) then
	  when in passthrough we would effectively be dropping every second cea608
	  on output as we would not store any unused cea608 data.
	  Fix by having all code paths go through the framerate conversion code
	  which will store and retrieve any relevant data across buffers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3211>

2022-11-10 05:54:18 +0900  Seungha Yang <seungha@centricular.com>

	* sys/amfcodec/gstamfh264enc.cpp:
	* sys/amfcodec/gstamfh265enc.cpp:
	  amfcodec: Fix typos
	  Fixing typo surfrace -> surface
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3378>

2022-11-10 06:03:45 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfcapturedshow.cpp:
	  mfvideosrc: Return S_OK from ISampleGrabberCB callback
	  The Microsoft's ISampleGrabber implementation seems to be ignoring
	  the HRESULT return value from the callback though,
	  S_OK is the right HRESULT code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3379>

2022-11-08 19:26:39 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11screencapturedevice.cpp:
	* sys/d3d11/gstd3d11screencapturesrc.cpp:
	  d3d11screencapturesrc: Specify PAR 1/1 to template caps
	  ... otherwise PAR can be wrongly signalled during the negotiation
	  Fixing below pipeline when desktop resolution is not 640x480
	  gst-launch-1.0.exe \
	  d3d11screencapturesrc ! videoscale !
	  video/x-raw,width=640,height=480,pixel-aspect-ratio=1/1 ! d3d11videosink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3360>

2022-05-22 12:02:15 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/examples/va/meson.build:
	* tests/examples/va/vaenc-dynamic-reconfigure.c:
	  tests: examples: va: Add encoders dynamic reconfiguration.
	  Take the QSV encoder test and used it for VA.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2466>

2022-11-05 15:12:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvacaps.c:
	* sys/va/gstvah264enc.c:
	  va: caps: Fix raw caps for H264 encoding.
	  Mesa gallium and Intel i965 ill reports unsupported video formats.
	  This commit reverts ecb12a05 and adds a deeper workaround, since
	  ecb12a05 only fix the template caps, but not when renegotation
	  happens.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2466>

2022-10-21 10:56:59 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	  vabaseenc: Log out the flow error name.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2466>

2022-10-20 11:20:18 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Enable parameters change while running.
	  1. Removes the verification if the internal encoder is not opened
	  yet to allow the property setting.
	  2. And toggles on the base class' reconf flag for each property
	  variable that can be modified at run time.
	  3. Mark those modifiable properties as mutable while playing.
	  Currently the run-time modifiable properties are:
	  qpi, qpp, qpb, bitrate, target percentage, target usage and rate control
	  Other properties can be enabled too, but they need testing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2466>

2022-10-20 11:13:19 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	* sys/va/gstvabaseenc.h:
	  vabaseenc: Enable encoder reconfiguration.
	  Adds an internal function reset() which drains the internal queues and
	  calls the reconfig() vmethod.
	  This reset() method is called inconditionally at set_format() and in
	  handle_frame() if the instance's reconf flag is enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2466>

2022-09-20 20:55:18 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Avoid reopen encoder or renegotiate.
	  If parameters remain similar enough to avoid either encoder reopening
	  or downstream renegotiation, avoid it.
	  This is going to be useful for dynamic parameters setting.
	  To check if the stream parameters changed, so the internal encoder has
	  to be closed and opened again, are required two steps:
	  1. If input caps, profile, chroma or rate control mode have changed.
	  2. If any of the calculated variables and element properties have
	  changed.
	  Later on, only if the output caps also changed, the pipeline
	  is renegotiated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2466>

2022-09-20 19:11:35 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	  vaencoder: Add gst_va_encoder_get_reconstruct_pool_config()
	  This method will return the caps configured in the reconstruct buffer
	  pool, and its maxium number of buffers to allocate.
	  The caps are needed later to know if the internal encoder has to be
	  reopened if the stream properties change.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2466>

2022-11-08 03:43:02 +0900  Seungha Yang <seungha@centricular.com>

	* sys/directshow/plugin.cpp:
	  directshow: Demote rank of device provider to GST_RANK_NONE
	  Current directshow plugin seems to be unstable and unmaintained
	  for many many years.
	  See
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3323
	  and
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1828
	  Disable this device provider by default to avoid any side-effect
	  of this plugin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3355>

2022-11-08 11:43:19 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Fix properties documentation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3361>

2022-11-08 11:36:12 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvabaseenc.c:
	* sys/va/gstvacompositor.c:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvah265dec.c:
	* sys/va/gstvajpegdec.c:
	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavp9dec.c:
	  va: Document device-path property.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3361>

2022-11-08 10:37:10 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	  va: Reenable plugin cache.
	  This basically a revert of commit 9bb560e7
	  Also it adds vaav1dec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3361>

2022-11-08 11:34:20 +0100  Victor Manuel Jaquez Leal <vjaquez@igalia.com>

	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	  vavp8dec, vampeg2dec: Fix type name.
	  The camel case name is wrong when registering the type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3361>

2022-10-26 18:05:32 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvacaps.c:
	  vacaps: Sort raw caps according their efficiency.
	  Caps negotiations considers template caps order. This patch sets the
	  correct order according the feture caps: VAMemory, DMABuf and
	  SystemMemory.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3349>

2022-11-08 02:08:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3358>

=== release 1.21.2 ===

2022-11-07 23:53:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.21.2

2022-11-07 23:53:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.21.2

2020-12-08 16:55:26 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/srt/gstsrtobject.c:
	* ext/srt/gstsrtobject.h:
	  srt: Add a property to disable automatic reconnect
	  This adds a new boolean property `auto-reconnect`, defaulting to `true`.
	  Setting it to `false` makes the elements (in caller mode) immediately
	  report an error to the application instead of trying to reconnect.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3326>

2022-10-26 18:04:17 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasetransform.c:
	  vabasetransform: Fail if cannot import the input buffer.
	  Otherwise got a buffer double free.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3348>

2022-11-06 01:53:46 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfcapturedshow.cpp:
	* sys/mediafoundation/gstmfcapturedshow.h:
	* sys/mediafoundation/gstmfdevice.cpp:
	* sys/mediafoundation/gstmfsourceobject.cpp:
	* sys/mediafoundation/gstmfsourceobject.h:
	* sys/mediafoundation/gstmfsourcereader.cpp:
	* sys/mediafoundation/gstmfvideosrc.cpp:
	* sys/mediafoundation/meson.build:
	  mfvideosrc: Add support for DirectShow capture filter
	  Adding DirecShow video capture filter mode, in addition
	  to existing MediaFoundation and WinRT(UWP) mode, to support
	  DirectShow only filters (not KS driver compatible)
	  such as custom virtual camera filters.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3350>

2021-12-01 16:23:41 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/gstrtmp2sink.c:
	* gst/rtmp2/gstrtmp2src.c:
	* gst/rtmp2/rtmp/rtmpclient.c:
	  rtmp2: Improve error messages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 16:04:24 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/gstrtmp2sink.c:
	* gst/rtmp2/gstrtmp2src.c:
	* gst/rtmp2/rtmp/rtmpclient.c:
	* gst/rtmp2/rtmp/rtmpconnection.c:
	  rtmp2/connection: Pass triggering GError in 'error' signal
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 16:02:53 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpconnection.c:
	  rtmp2/connection: Pass triggering GError to _emit_error
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 16:01:10 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpconnection.c:
	  rtmp2/connection: Discern reasons for cancelling all commands
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 15:53:13 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpconnection.c:
	  rtmp2/connection: Handle EOF like error
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 15:49:22 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpclient.c:
	  rtmp2/client: Make sure 'salt' is not NULL
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 15:46:42 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpclient.c:
	  rtmp2/client: Make sure 'reason' is not NULL
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 16:13:42 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpclient.c:
	  rtmp2/client: Make sure 'desc' is not NULL
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2021-12-01 16:11:31 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpclient.c:
	  rtmp2/client: Make sure 'code' is not NULL
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1403>

2022-11-07 07:45:53 +0100  Edward Hervey <edward@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcstats.c:
	* ext/webrtc/transportstream.c:
	* ext/webrtc/utils.c:
	* ext/webrtc/utils.h:
	* ext/webrtc/webrtcsdp.c:
	  webrtcbin: Don't duplicate enum string values
	  Some were leaked when debugging was enabled. Instead just directly use the
	  static strings as-is.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3347>

2022-11-04 14:24:58 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/debugutils/gstvideocodectestsink.c:
	  videocodectestsink: Add YUV422 support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3331>

2022-11-05 21:35:08 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11window.cpp:
	  d3d11videosink: Always clear back buffer on resize
	  Swapchain may not need to be resized if the size of backbuffer
	  is equal to the previous size. Then previously rendered frame will be stay
	  on the screen. Do clear back buffer whenever resize() is called
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3341>

2022-11-05 00:00:43 +0900  Seungha Yang <seungha@centricular.com>

	* sys/qsv/gstqsvallocator_va.cpp:
	  qsv: Fix encoding error when input memory belongs to other GPU
	  Copy frame if VA display of input buffer is different from that
	  of encoder, like we've been doing on Windows
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3335>

2022-11-04 21:52:39 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvabaseenc.c:
	  va: baseenc: Do not import the VA surface from other display.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1167
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-04 21:26:23 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvacompositor.c:
	  va: compositor: Do not use allocator and pool from other display.
	  Just like the va decoder, the compositor should not use allocator
	  and pool from other display. Also, when importing the input buffer,
	  if it is from other display, we should fallback to memory copy.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1167
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-04 17:12:22 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvabasetransform.c:
	  va: basetransform: Do not use allocator and pool from other display.
	  Just like the va decoder, the vpp and deinterlace should not use allocator
	  and pool from other display. Also, when importing the input buffer, if it
	  is from other display, we should fallback to memory copy.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1167
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-04 17:08:12 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvabasedec.c:
	  va: basedec: Do not use allocator and pool from other display.
	  The command line such as:
	  gst-launch-1.0 -vf filesrc location=1.264 ! h264parse !
	  vah264dec ! varenderD129postproc ! fakesink
	  The decoder here gets the allocation proposal from the vpp which is
	  on another GPU device. The allocator and pool belong to other display
	  and should not be used in the decoder.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1167
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-04 20:28:34 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/va/gstvaallocator.c:
	* gst-libs/gst/va/gstvaallocator.h:
	  libs: va: Add API to peek the va buffer's display.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-04 20:28:34 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/va/gstvaallocator.c:
	* gst-libs/gst/va/gstvaallocator.h:
	  libs: va: Add API to peek the va memory's display.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-04 17:06:37 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/va/gstvaallocator.c:
	* gst-libs/gst/va/gstvaallocator.h:
	  libs: va: Add API to peek the allocator's display.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-04 17:03:35 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/va/gstvaallocator.h:
	  libs: va: Fix code style in gstvaallocator.h
	  Replace all tabs with spaces.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3322>

2022-11-05 05:32:52 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/d3dvideosink/d3dvideosink.c:
	  d3dvideosink: Update plugin description
	  Direct3D is too generic (there are various version numbers).
	  Clarify that this element is using the Direct3D9 API
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3333>

2022-11-04 08:41:10 +0100  Edward Hervey <edward@centricular.com>

	* ext/lv2/gstlv2.c:
	  lv2: Don't leak plugin information on registration
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3319>

2022-11-04 08:40:24 +0100  Edward Hervey <edward@centricular.com>

	* ext/ladspa/gstladspa.c:
	  ladspa: Don't leak plugin information on registration
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3319>

2022-11-04 08:09:52 +0100  Edward Hervey <edward@centricular.com>

	* ext/fdkaac/gstfdkaacenc.c:
	  fdkaacenc: Properly terminate GEnumValue table
	  It should be terminated with a NULL entry, otherwise we just stray into the
	  realms of cryptographic libraries^W^W random memory usage.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3319>

2022-07-27 15:59:35 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/srt/gstsrtobject.c:
	  srt: Remove callers for which srt_bstats fails
	  This keeps them from accumulating in the element and in the stats while
	  the sink is not being fed, as long as we at least periodically grab
	  stats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3156>

2022-07-29 11:53:18 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/srt/gstsrtobject.c:
	  srt: Use simpler list operations for callers
	  Avoid `g_list_append` and `g_list_remove` (which have to scan the list)
	  and replace them with `g_list_prepend` and `g_list_delete_link`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3156>

2020-11-10 10:06:37 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/srt/gstsrtobject.c:
	  srt: Clean up poll/sock lifecycle
	  Make sure `srtobject->poll_id` is never invalid as long as `srtobject`
	  exists. Only remove our caller socket from it when the socket becomes
	  invalid.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3156>

2022-06-08 16:35:54 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/srt/gstsrtobject.c:
	  srt: Clean up error handling
	  - Make the srt_epoll_wait loops more uniform.
	  - Error only via GError when possible; let the element send the error
	  message. Avoids a second error message.
	  - Return 0 when cancelled. Avoids an error message from the element.
	  - Don't send an error message from send_headers when we're a server
	  sink.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3156>

2022-10-11 11:14:59 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/srt/gstsrtobject.c:
	  srt: Simplify socket stats
	  Don't hide stats depending on whether we're a sending or receiving
	  socket. While we're here, add some more debug logs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3156>

2020-10-05 19:50:13 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/srt/gstsrtobject.c:
	* ext/srt/gstsrtobject.h:
	  srt: Replace stats accumulation with naive byte counting
	  srt_bstats cannot be used to get the stats of closed connections, so the
	  best we can do is keep the running count ourselves.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3156>

2022-11-04 18:32:05 +0900  Seungha Yang <seungha@centricular.com>

	* sys/directshow/gstdshow.cpp:
	  directshow: Validate enumerated AM_MEDIA_TYPE struct
	  The video info struct can be null if format is undefined
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3323>

2022-11-03 23:40:00 +0900  Seungha Yang <seungha@centricular.com>

	* tests/examples/d3d11/d3d11decoder-appsink.cpp:
	* tests/examples/d3d11/d3d11videosink-present.cpp:
	  examples: d3d11: Fix GCC build error/warning
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3318>

2022-11-03 05:18:03 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/gstqsvjpegenc.cpp:
	  qsvjpegenc: Add support for YUY2 format
	  Now GstD3D11 defines YUY2 format
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3316>

2022-11-03 05:12:31 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/gstqsvallocator.cpp:
	* sys/qsv/gstqsvallocator.h:
	* sys/qsv/gstqsvallocator_d3d11.cpp:
	* sys/qsv/gstqsvdecoder.cpp:
	* sys/qsv/gstqsvjpegdec.cpp:
	* sys/qsv/gstqsvjpegdec.h:
	* sys/qsv/meson.build:
	* sys/qsv/plugin.cpp:
	  qsv: Add JPEG decoder
	  Because DXVA does not define JPEG decoding, we need this
	  vendor specific API for Windows
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3316>

2022-11-03 03:38:33 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst-libs/gst/d3d11/gstd3d11-private.h:
	* gst-libs/gst/d3d11/gstd3d11converter.cpp:
	* gst-libs/gst/d3d11/gstd3d11device.cpp:
	  d3d11: Add support for YUY2 format
	  YUY2 is a primary YUV 4:2:2 format for DXVA.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3316>

2022-11-01 09:47:38 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	  msdkcontext: use gst_object_unref instead of g_object_unref
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3301>

2022-10-31 16:59:18 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	  msdkcontext: use gst_object_ref for GstVaDisplay
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3301>

2022-10-31 16:56:32 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	  msdkcontext: g_object_new() must not return nullptr
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3301>

2022-10-31 16:52:23 +0800  Tong Wu <tong1.wu@intel.com>

	* sys/msdk/gstmsdkenc.c:
	  msdkenc: use GST_CAPS_FEATURE_MEMORY_VA to check the feature
	  Add macros to protect sinkpad_is_va(), since it is not defined on
	  Windows.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3301>

2022-11-01 12:03:24 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/wpe/gstwpevideosrc.cpp:
	  wpe: fix wpevideosrc gst-play example
	  wpe:// no longer works since 1.20, see wpesrc examples.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3306>

2022-10-27 10:03:34 -0400  Eric Knapp <emkman99@gmail.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Added option to insert CEA-708 closed captions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2910>

2022-11-01 22:19:18 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/gstqsvav1enc.cpp:
	* sys/qsv/gstqsvh264dec.cpp:
	* sys/qsv/gstqsvh264enc.cpp:
	* sys/qsv/gstqsvh265dec.cpp:
	* sys/qsv/gstqsvh265enc.cpp:
	* sys/qsv/gstqsvjpegenc.cpp:
	* sys/qsv/gstqsvutils.h:
	* sys/qsv/gstqsvvp9dec.cpp:
	* sys/qsv/gstqsvvp9enc.cpp:
	  qsv: Check 16K resolution support
	  ... and remove duplicated code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3310>

2021-05-14 10:24:05 +0200  Marijn Suijten <marijns95@gmail.com>

	* gst-libs/gst/vulkan/gstvkimageview.c:
	* gst-libs/gst/vulkan/gstvkimageview.h:
	  vulkan: Mark gst_vulkan_image_view_new create_info as constant pointer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1615>

2021-01-05 22:33:12 +0100  Marijn Suijten <marijns95@gmail.com>

	* gst-libs/gst/vulkan/gstvkcommandpool.c:
	* gst-libs/gst/vulkan/gstvkdescriptorpool.c:
	* gst-libs/gst/vulkan/gstvkdevice.c:
	* gst-libs/gst/vulkan/gstvkphysicaldevice.c:
	* gst-libs/gst/vulkan/gstvkqueue.c:
	  vulkan: Remove unnecessary null checks
	  These null checkes are slightly misleading when double-checking
	  mutability for external language interop.  None of the functions in
	  these files allow the variable at hand to become `NULL` under normal
	  operation, because they are checked at initialization and never (allowed
	  to be) reassigned to `NULL`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1615>

2021-01-04 01:07:04 +0100  Marijn Suijten <marijns95@gmail.com>

	* gst-libs/gst/vulkan/gstvkdisplay.c:
	* gst-libs/gst/vulkan/gstvkfence.c:
	* gst-libs/gst/vulkan/gstvkimagememory.c:
	* gst-libs/gst/vulkan/gstvkqueue.c:
	  vulkan: Add missing `(nullable)` annotation to `Returns`
	  Most of these functions already state they might return `%NULL`, but
	  this is not picked up by G-IR.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1615>

2021-01-04 00:40:24 +0100  Marijn Suijten <marijns95@gmail.com>

	* gst-libs/gst/vulkan/gstvkdescriptorcache.c:
	* gst-libs/gst/vulkan/gstvkdescriptorpool.c:
	* gst-libs/gst/vulkan/gstvkdescriptorset.c:
	* gst-libs/gst/vulkan/gstvkinstance.c:
	* gst-libs/gst/vulkan/gstvkwindow.c:
	  vulkan: Add missing `array length` and `(out)` annotation to parameters
	  Add `array length` annotation for `layouts` such that `n_layouts` is
	  properly marked as its length, and add `(out)` where a function returns
	  in that parameter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1615>

2022-11-01 02:00:33 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11decoder: Fix for VP9 decoding with odd resolution
	  Fixing off by one mismatch when width and/or height of stream
	  is odd number
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3302>

2022-10-28 03:25:38 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/gstqsvallocator.cpp:
	* sys/qsv/gstqsvallocator.h:
	* sys/qsv/gstqsvallocator_d3d11.cpp:
	* sys/qsv/gstqsvdecoder.cpp:
	* sys/qsv/gstqsvvp9dec.cpp:
	* sys/qsv/gstqsvvp9dec.h:
	* sys/qsv/meson.build:
	* sys/qsv/plugin.cpp:
	  qsv: Add VP9 decoder
	  Recent Intel GPU supports 12bits VP9 decoding but only VP9
	  profile2 with 10bits is defined by DXVA spec.
	  Thus, we need this vendor specific decoder element
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3290>

2022-10-30 19:01:54 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11vp9dec: Disallow Profile2 12bits stream
	  Since DXVA does not support the format, specify bit-depth field
	  to sinkpad template caps so that d3d11vp9dec can be skipped
	  during autoplugging
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3297>

2022-10-30 18:37:55 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gstvp9parse.c:
	  vp9parse: Set subsampling to src caps even if GBR stream
	  Some muxer elements will need the subsampling information
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3297>

2022-10-30 18:35:08 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gstvp9parse.c:
	  vp9parse: Delaying src caps until frame is parsed if profile > 0
	  subsampling and/or bitdepth information will be required for
	  negotiation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3297>

2022-10-29 16:17:53 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* docs/plugins/gst_plugins_cache.json:
	* ext/fdkaac/gstfdkaacenc.c:
	  fdkaacenc: Update documentation to clarify bitrate and peak-bitrate
	  bitrate property is only applicable for constant bitrate and
	  peak-bitrate is only applicable for variable bitrate. Clarify
	  the same.

2022-10-29 12:19:58 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* docs/plugins/gst_plugins_cache.json:
	* ext/fdkaac/gstfdkaacenc.c:
	* ext/fdkaac/gstfdkaacenc.h:
	  fdkaacenc: Add support for setting bitrate mode

2021-01-31 22:00:36 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* docs/plugins/gst_plugins_cache.json:
	* ext/fdkaac/gstfdkaacenc.c:
	* ext/fdkaac/gstfdkaacenc.h:
	  fdkaacenc: Add support for setting peak bitrate

2021-01-23 18:35:12 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* docs/plugins/gst_plugins_cache.json:
	* ext/fdkaac/gstfdkaacenc.c:
	* ext/fdkaac/gstfdkaacenc.h:
	  fdkaacenc: Add support for enabling afterburner
	  This is an additional quality parameter. In the default configuration this
	  quality switch is deactivated because it would cause a workload increase
	  which might be significant. If workload is not an issue in the application
	  it can be recommended to activate this feature.

2020-11-26 19:23:11 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* ext/fdkaac/gstfdkaacdec.c:
	  fdkaacdec: Do not report decoding error for flush request
	  A flush request is done when set_format is called to empty internal bit
	  buffer maintained by fdk-aac. When this happens, during the explicit
	  call to handle_buffer, decodeFrame does not return a AAC_DEC_OK. This
	  gets reported as a decoding error while no decoding error in fact took
	  place. Since this can be confusing, just return a GST_FLOW_OK and log
	  that an explicit flush was requested.

2022-10-25 13:22:30 +1100  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/codecparsers/gstvp9parser.c:
	  vp9parser: initialize subsampling to -1
	  The default value of 0 is a valid subsampling value and could be
	  confused with an 'unset' value.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3260>

2022-10-27 14:20:37 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  vaencoder: Reset attribute index to one.
	  Further fix to 4ffb3663 where I forgot to reset the attribute index.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3285>

2022-10-03 15:20:24 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ext/dash/gstdashdemux.c:
	* gst-libs/gst/adaptivedemux/gstadaptivedemux.c:
	  adaptivedemux: Minor typo fix
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3159>

2022-09-20 15:32:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ext/dash/gstmpdclient.c:
	  dash: Fix computing `repeat_index` when seeking in stream with a start !=0 on the first fragment
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3159>

2022-10-27 15:21:30 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265bitwriter.h:
	* tests/check/libs/h265bitwriter.c:
	  h265bitwriter: Correct the all API to byte aligned.
	  In fact, all the h265 bit writer have byte aligned output. So we
	  change the API from bit size in unit to byte size, which is easy
	  to use.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3193>

2022-10-27 13:42:17 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth264bitwriter.c:
	* gst-libs/gst/codecparsers/gsth264bitwriter.h:
	* sys/va/gstvah264enc.c:
	* tests/check/libs/h264bitwriter.c:
	  h264bitwriter: Correct the all API to byte aligned.
	  In fact, all the h264 bit writer have byte aligned output except
	  the slice header. So we change the API from bit size in unit to
	  byte size, which is easy to use. For slice header, we add a extra
	  "trail_bits_num" to return the unaligned bits number.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3193>

2022-10-27 14:40:49 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth264bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	  bitwriter: Fix a nal conversion bug when input is not byte aligned.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3193>

2022-10-24 11:56:51 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: Set va mem caps as higher priority
	  We use va pool as msdkvpp's bufferpool, which means both va memory
	  and dma memory will be allocated by va pool. Considering drm modifier
	  stuff is not ready, we use va memory with higher priortiry than
	  dma memory when deciding vpp caps.
	  Besides, this patch removes the specified "interlace-mode" in vpp caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3253>

2022-10-18 03:36:23 +0000  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkav1enc.c:
	* sys/msdk/gstmsdkav1enc.h:
	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkenc.h:
	  msdkav1enc: Remove reorder TU workaround
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3225>

2022-10-18 03:10:43 +0000  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkav1enc.c:
	* sys/msdk/gstmsdkav1enc.h:
	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkenc.h:
	  msdkav1enc: Remove pts workaround
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3225>

2022-10-27 04:15:01 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecparsers/meson.build:
	  codecparsers: {h264,h265}bitwriter: Don't install headers yet
	  Those APIs are quite early stage of development, and we might want to
	  change them in the near future
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3275>

2022-10-18 16:34:41 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: Fix upper frc
	  Refact vpp commit 4c6b7194451ff6fbfe88834219d982302114d74b broke the
	  upper FRC, here to fix this by using outbuf_new.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3223>

2022-07-29 18:15:08 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/msdk/gstmsdkav1enc.c:
	  bad: Add msdkav1enc docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2971>

2022-10-25 08:14:18 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstalphacombine.c:
	  alphacombine: Add missing query handler for gaps
	  The gap handling was in place, but there was no event handler to trigger it.
	  Implement the alpha sink event handler for the gaps. This fixes handling of
	  valid streams which may not refresh the alpha frames for every video frames.
	  It will also allow a clean error if the stream was missing the initial
	  alpha frame, at least until we find a better way to handle these
	  invalid frames.
	  Related to #1518
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3264>

2022-10-26 11:47:43 +0200  Ignacio Casal Quinteiro <qignacio@amazon.com>

	* sys/applemedia/avfdeviceprovider.m:
	  avfdeviceprovider: do not leak the properties
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3268>

2022-10-21 10:57:39 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  vaencoder: Fix caps semantics.
	  When using gst_va_caps_from_profiles() the semantics of sink/src caps
	  depends if the element is an encoder or a decoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3063>

2022-10-19 16:44:07 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvadecoder.c:
	* sys/va/gstvaencoder.c:
	  va: Fix typos.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3063>

2022-08-11 12:51:17 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvah264enc.c:
	  vah264enc: Fail if unsupported rate control.
	  Handle when encoder doesn't support rate control, which is set as
	  VA_RC_NONE, and if the set rate control mode is not supported by the
	  GStreamer element, the element configuration fails.
	  Also it logs out max and target bitrate.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3063>

2022-09-15 12:56:14 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Add todo item.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3063>

2022-10-19 16:08:17 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	* sys/va/gstvah264enc.c:
	  vaencoder: Honor entrypoint at constructor.
	  The entrypoint is set when the encoder helper is constructed,
	  nonetheless it was also passed as parameter when opening. That's
	  buggy.
	  In order to simplify the code, the entrypoint at construction is
	  honored.
	  But gst_va_encoder_has_profile_and_entrypoint() now doesn't rely in
	  the internal list of profiles since it only contains those that
	  belongs to codec and entrypoint, thus it queries directly the VA
	  driver.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3063>

2022-08-11 12:50:27 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	  vabaseenc: Scope error bail out.
	  Though this is not enforced by the GStreamer code style, it's clearer
	  to add a nested scope for error handling using label/goto.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3063>

2022-09-20 15:00:15 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	* sys/va/gstvabaseenc.h:
	* sys/va/gstvah264enc.c:
	  vabaseenc: Use class entrypoint.
	  Add a macro to access to class entrypoint and use it instead of move
	  it to a variable.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3063>

2022-10-26 02:55:34 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11-private.h:
	* gst-libs/gst/d3d11/gstd3d11format.h:
	  d3d11: Move format defines to private header
	  Those defines will be likely changed/deleted in the future, and we
	  don't need to expose them to public at the moment
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3265>

2022-10-25 09:39:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/transcoder/gsttranscoder.c:
	* gst-libs/gst/va/gstvaallocator.c:
	* gst-libs/gst/vulkan/gstvkerror.c:
	  Fix various warnings from gobject-introspection
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3261>

2022-10-22 11:13:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/fdkaac.c:
	* tests/check/meson.build:
	  fdkaac: add minimal unit test
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1785>

2022-10-22 11:10:24 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/fdkaac/gstfdkaacenc.c:
	  fdkaacenc: fix output caps in case of implicit signaling and HE-AAC
	  Need to put the actual profile in the output caps otherwise any
	  capsfilter after the encoder that was used to force the output
	  profile will fail, such as
	  fdkaacenc ! audio/mpeg,stream-format=adts,profile=he-aac-v1 ! ..
	  because we put profile=lc in there to match the profile signaled
	  in the ADTS header. This is expressed through the base-profile=lc
	  in the GStreamer caps though, the profile needs to carry the
	  'real' profile.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1785>

2022-10-21 17:10:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/fdkaac/gstfdkaacenc.c:
	  fdkaacenc: don't set base-profile=lc for non-backwards compatible output
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1785>

2022-10-21 13:15:29 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/fdkaac/gstfdkaacenc.c:
	  fdkaacenc: rename profile=sbr|ps to profile=he-aac-v1|he-aac-v2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1785>

2022-03-01 14:12:27 +0100  Piotrek Brzeziński <piotr@centricular.com>

	* ext/fdkaac/gstfdkaacenc.c:
	  fdkaacenc: add support for AAC-LD
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1785>

2022-02-23 17:17:25 +0100  Piotrek Brzeziński <piotr@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/fdkaac/gstfdkaacenc.c:
	  fdkaacenc: add support for HE-AACv1 and HE-AACv2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1785>

2022-10-22 04:28:03 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  gst-plugins-bad: Update Windows plugins cache
	  Add/update d3d11, qsv, nvcodec, wic, directshow, and amfcodec plugins cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 03:02:56 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudamemorycopy.c:
	* sys/nvcodec/gstnvencoder.cpp:
	* sys/nvcodec/gstnvh264encoder.cpp:
	* sys/nvcodec/gstnvh265encoder.cpp:
	  nvcodec: Update for documentation
	  * Use GST_PARAM_DOC_SHOW_DEFAULT flags for GPU ID related
	  properties
	  * Fix some typos
	  * Add since markers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 02:59:13 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfaudiodecoder.cpp:
	* sys/mediafoundation/gstmfaudioencoder.cpp:
	* sys/mediafoundation/gstmfh264enc.cpp:
	* sys/mediafoundation/gstmfh265enc.cpp:
	* sys/mediafoundation/gstmfvideoencoder.cpp:
	* sys/mediafoundation/gstmfvp9enc.cpp:
	  mediafoundation: Update for documentation
	  * Use GST_PARAM_DOC_SHOW_DEFAULT flags for GPU ID related
	  properties
	  * Add doc caps
	  * Add since markers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 04:09:39 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfvideoencoder.cpp:
	  mfvideoencoder: Document only hardware encoders
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 22:37:33 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfvideoencoder.cpp:
	  mfvideoencoder: Fix device enumeration
	  Although a GPU does not support the codec, the other GPU might
	  be able to support the codec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 02:56:23 +0900  Seungha Yang <seungha@centricular.com>

	* sys/amfcodec/gstamfh264enc.cpp:
	* sys/amfcodec/gstamfh265enc.cpp:
	  amfcodec: Update for documentation
	  * Use GST_PARAM_DOC_SHOW_DEFAULT flags for GPU ID related
	  properties
	  * Add doc caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 02:53:16 +0900  Seungha Yang <seungha@centricular.com>

	* sys/qsv/gstqsvdecoder.cpp:
	* sys/qsv/gstqsvencoder.cpp:
	  qsv: Use GST_PARAM_DOC_SHOW_DEFAULT flag
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 02:49:00 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11screencapturesrc.cpp:
	* sys/d3d11/gstd3d11testsrc.cpp:
	* sys/d3d11/gstd3d11videosink.cpp:
	  d3d11: Update for documentation
	  * Use GST_PARAM_DOC_SHOW_DEFAULT flags for GPU ID related
	  properties
	  * Add doc caps
	  * Increase deinterlace max resolution
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 02:48:23 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11screencapturesrc.cpp:
	* sys/d3d11/gstd3d11winrtcapture.cpp:
	  d3d11: Run indent
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 22:33:01 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wic/plugin.cpp:
	  wic: Add since marker
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-22 03:12:19 +0900  Seungha Yang <seungha@centricular.com>

	* sys/directshow/plugin.cpp:
	  directshow: Add since marker
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3250>

2022-10-21 23:20:47 +0900  Seungha Yang <seungha@centricular.com>

	* sys/qsv/libmfx/dispatcher/vpl/mfx_dispatcher_vpl_config.cpp:
	* sys/qsv/libmfx/meson.build:
	* sys/qsv/meson.build:
	  qsv: Enable MinGW toolchain support
	  Use PCRE regex method to work around (likely) GCC std::regex bug,
	  and enable building for non-MSVC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3239>

2022-10-21 21:50:01 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/vulkan/cocoa/gstvkcocoa_utils.h:
	* gst-libs/gst/vulkan/cocoa/gstvkwindow_cocoa.m:
	* gst-libs/gst/vulkan/ios/gstvkios_utils.h:
	* gst-libs/gst/vulkan/ios/gstvkwindow_ios.m:
	  gl/vulkan: Fix static linking on macOS
	  duplicate symbol '__invoke_on_main' in:
	  /Library/Frameworks/GStreamer.framework/Versions/1.0/lib/libgstvulkan-1.0.a(cocoa_gstvkwindow_cocoa.m.o)
	  /Library/Frameworks/GStreamer.framework/Versions/1.0/lib/libgstgl-1.0.a(cocoa_gstglwindow_cocoa.m.o)
	  ld: 1 duplicate symbol for architecture x86_64
	  clang: error: linker command failed with exit code 1 (use -v to see invocation)
	  Also make the same change in iOS for consistency.
	  Continuation of https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1132
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3242>

2022-10-18 17:05:41 +1100  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: configure rtpulpfecdec passthrough property
	  This allows downstream (payloaders mostly) to be able to correctly
	  detect actual packet loss from rtp sequence numbers.
	  See
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/581
	  for background.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1407
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3212>

2022-10-07 04:20:29 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11screencapture.cpp:
	* sys/d3d11/gstd3d11screencapture.h:
	* sys/d3d11/gstd3d11screencapturesrc.cpp:
	* sys/d3d11/gstd3d11winrtcapture.cpp:
	* sys/d3d11/gstd3d11winrtcapture.h:
	* sys/d3d11/meson.build:
	  d3d11screencapture: Add WinRT API based capture mode
	  Add Windows Graphics Capture (WGC) API based screen capture mode.
	  The conditions where this mode is used:
	  * Explicitly requested by user (capture-api property)
	  * To capture specific window
	  * When DXGI desktop duplication API does not work on hybrid graphics systems
	  (e.g., multi-gpu laptop)
	  Full features of this implementation require Windows 11. And Windows 11
	  SDK is required to build this feature.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3144>

2022-10-06 23:54:14 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11dxgicapture.cpp:
	* sys/d3d11/gstd3d11dxgicapture.h:
	* sys/d3d11/gstd3d11screencapture.cpp:
	* sys/d3d11/gstd3d11screencapture.h:
	* sys/d3d11/gstd3d11screencapturesrc.cpp:
	* sys/d3d11/meson.build:
	  d3d11screencapture: Subclassing capture implementation
	  Preparation to use WinRT capture API
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3144>

2022-10-21 19:08:49 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/gstqsvav1enc.cpp:
	* sys/qsv/gstqsvdecoder.cpp:
	* sys/qsv/gstqsvencoder.cpp:
	* sys/qsv/gstqsvh264dec.cpp:
	* sys/qsv/gstqsvh264enc.cpp:
	* sys/qsv/gstqsvh265dec.cpp:
	* sys/qsv/gstqsvh265enc.cpp:
	* sys/qsv/gstqsvjpegenc.cpp:
	* sys/qsv/gstqsvvp9enc.cpp:
	* sys/qsv/plugin.cpp:
	  qsv: Add plugin doc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2738>

2022-07-09 05:38:05 +0900  Seungha Yang <seungha@centricular.com>

	* sys/qsv/libmfx/api/vpl/mfx.h:
	* sys/qsv/libmfx/api/vpl/mfxcommon.h:
	* sys/qsv/libmfx/api/vpl/mfxdefs.h:
	* sys/qsv/libmfx/api/vpl/mfxencodestats.h:
	* sys/qsv/libmfx/api/vpl/mfxjpeg.h:
	* sys/qsv/libmfx/api/vpl/mfxstructures.h:
	* sys/qsv/libmfx/api/vpl/mfxvideo++.h:
	* sys/qsv/libmfx/api/vpl/mfxvideo.h:
	* sys/qsv/libmfx/dispatcher/linux/device_ids.h:
	* sys/qsv/libmfx/dispatcher/linux/mfxloader.cpp:
	* sys/qsv/libmfx/dispatcher/linux/mfxloader.h:
	* sys/qsv/libmfx/dispatcher/linux/mfxvideo_functions.h:
	* sys/qsv/libmfx/dispatcher/vpl/mfx_dispatcher_vpl.cpp:
	* sys/qsv/libmfx/dispatcher/vpl/mfx_dispatcher_vpl.h:
	* sys/qsv/libmfx/dispatcher/vpl/mfx_dispatcher_vpl_config.cpp:
	* sys/qsv/libmfx/dispatcher/vpl/mfx_dispatcher_vpl_loader.cpp:
	* sys/qsv/libmfx/dispatcher/vpl/mfx_dispatcher_vpl_lowlatency.cpp:
	* sys/qsv/libmfx/dispatcher/vpl/mfx_dispatcher_vpl_msdk.cpp:
	* sys/qsv/libmfx/dispatcher/windows/main.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_critical_section.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_critical_section.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_dispatcher.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_dispatcher.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_dispatcher_defs.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_dispatcher_log.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_dispatcher_log.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_driver_store_loader.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_driver_store_loader.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_dxva2_device.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_dxva2_device.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_exposed_functions_list.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_function_table.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_library_iterator.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_library_iterator.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_load_dll.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_load_dll.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_vector.h:
	* sys/qsv/libmfx/dispatcher/windows/mfx_win_reg_key.cpp:
	* sys/qsv/libmfx/dispatcher/windows/mfx_win_reg_key.h:
	* sys/qsv/libmfx/dispatcher/windows/mfxvideo++.h:
	* sys/qsv/libmfx/dispatcher/windows/version.rc.in:
	* sys/qsv/libmfx/meson.build:
	  qsv: Update SDK version to v2022.2.4
	  See release note
	  https://github.com/oneapi-src/oneVPL/releases/tag/v2022.2.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2738>

2022-10-14 16:05:28 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Correct the pts for frames and OBUs inside a TU.
	  When the output alignment is smaller than the input alignment, for
	  example, When the output alignment is "FRAME" and the parse is likely
	  connecting to a decoder, the current PTS setting for AV1 frames inside
	  a TU is not very correct.
	  For example, a TU may begin with non-displayed frames and end with a
	  displayed frame. The current way will assign the PTS to the first
	  non-displayed frame, which is a decode-only frame and the PTS will be
	  discarded in the video decoder. While the last displayed frame has
	  invalid PTS, and so the video decoder needs to guess its PTS based on
	  the frame rate and previous frame's PTS. This is not a decent and
	  robust way. And more important, when the previous frames provide DTS,
	  the video decoder will also guess the PTS based on the previous frames'
	  DTS and trigger the warning like:
	  gstvideodecoder.c:3147:gst_video_decoder_prepare_finish_frame: \
	  <vavp9dec0> decreasing timestame
	  It sets the reordered_output and makes the decoder in free run mode.
	  We should correct the PTS for a TU, let the non-displayed frames have
	  no PTS while set the correct PTS to the displayed one. Also, when the
	  AV1 stream has multi spatial layers, there are more than one displayed
	  frames inside one TU with the same PTS.
	  Note: If the input alignment is not TU aligned, we can not know the
	  exact PTS of this TU, and so we just clear the PTS of the decode only
	  frame and leave others unchanged.
	  We also correct all the PTS if the output is OBU aligned. All their
	  PTS and DTS are set to the input buffer's PTS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3182>

2022-10-14 17:25:45 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Only check the TU bound when the alignment is TU.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3182>

2022-10-14 15:46:16 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: push all data once when input alignment not smaller than output.
	  When the incoming data has big alignment than the output, we do not need to
	  call finish_frame() and exit the current handle_frame() for each splitted
	  frame. We can push them all at one shot with in one handle_frame(), whcih
	  may improve the performance and can help us to find the edge of TU.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3182>

2022-10-14 15:27:52 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Set the output buffer flags correctly.
	  The current code forgets to clear some flags and has some typo.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3182>

2022-10-21 10:50:36 +1100  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: also add rtcp-fb ccm fir for video mlines by default
	  In addition to the 'nack pli' already added.  Both are supported by
	  rtpbin/rtpsession by default already.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3235>

2022-10-19 16:03:55 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Improve documentation of 'turn-server' property
	  Description about how to set time-limited credentials is added.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3229>

2022-09-23 18:25:41 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/debugutils/gstfakeaudiosink.c:
	* gst/debugutils/gstfakesinkutils.c:
	* gst/debugutils/gstfakesinkutils.h:
	* gst/debugutils/gstfakevideosink.c:
	  fake{video|audio}sink: don't proxy properties at instance init.
	  Instead proxy properties from the GstBaseSink class at class_init time,
	  and duplicate the rest of the fakesink properties manually.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1442
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3073>

2022-10-18 11:16:20 +0200  Alba Mendez <alba.mendez@dolby.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtcbin: support adding TURN servers after pipeline start
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1680
	  When a TURN server is added for the first time, propagate
	  the change to all nice streams that already exist. This
	  lets us add servers after the pipeline has been started
	  (and streams have been added).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3217>

2022-10-17 06:48:12 -0500  Fabian Orccon <forccon@fluendo.com>

	* ext/srtp/meson.build:
	  srtp: Fix test skipping when plugin option is disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3200>

2022-10-14 00:17:52 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* tests/examples/d3d11/d3d11videosink-present.cpp:
	  d3d11videosink: Add "emit-present" property
	  Controls the decision for "present" signal use, and
	  allows delayed "present" signal handler install via the property
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3176>

2022-10-17 19:36:13 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/play/gstplay-signal-adapter.c:
	  play: Add/fix various annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-17 11:29:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/vulkan/android/gstvkdisplay_android.c:
	* gst-libs/gst/vulkan/cocoa/gstvkdisplay_cocoa.m:
	* gst-libs/gst/vulkan/gstvkdevice.c:
	* gst-libs/gst/vulkan/gstvkdisplay.c:
	* gst-libs/gst/vulkan/gstvkfence.c:
	* gst-libs/gst/vulkan/gstvkformat.c:
	* gst-libs/gst/vulkan/gstvkinstance.c:
	* gst-libs/gst/vulkan/gstvkqueue.c:
	* gst-libs/gst/vulkan/gstvkutils.c:
	* gst-libs/gst/vulkan/ios/gstvkdisplay_ios.m:
	* gst-libs/gst/vulkan/wayland/gstvkdisplay_wayland.c:
	* gst-libs/gst/vulkan/xcb/gstvkdisplay_xcb.c:
	  vulkan: Add/fix various annotations
	  And fix a memory leak in gst_vulkan_display_wayland_new() in error
	  cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-17 10:54:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11converter.cpp:
	* gst-libs/gst/d3d11/gstd3d11memory.cpp:
	  d3d11: Add/fix various annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-17 10:51:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/cuda/gstcudacontext.c:
	* gst-libs/gst/cuda/gstcudautils.c:
	  cuda: Add/fix various annotations
	  And fix a memory leak when creating a CUDA context fails.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-17 10:47:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	* gst-libs/gst/codecs/gsth264picture.c:
	* gst-libs/gst/codecs/gsth265decoder.c:
	* gst-libs/gst/codecs/gsth265picture.c:
	* gst-libs/gst/codecs/gstvp9decoder.h:
	  codecs: Add/fix various annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-17 10:44:24 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/audio/gstnonstreamaudiodecoder.c:
	  badaudio: Add/fix annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-14 21:51:17 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/webrtc/ice.c:
	* gst-libs/gst/webrtc/ice.h:
	* gst-libs/gst/webrtc/icetransport.c:
	* gst-libs/gst/webrtc/icetransport.h:
	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc: Add/fix various annotations
	  And mark string parameters as const.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-17 00:40:46 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/wasapi2/gstwasapi2client.cpp:
	* sys/wasapi2/gstwasapi2client.h:
	* sys/wasapi2/gstwasapi2device.c:
	* sys/wasapi2/gstwasapi2ringbuffer.cpp:
	* sys/wasapi2/gstwasapi2ringbuffer.h:
	* sys/wasapi2/gstwasapi2sink.c:
	* sys/wasapi2/gstwasapi2src.c:
	* sys/wasapi2/gstwasapi2util.c:
	* sys/wasapi2/gstwasapi2util.h:
	  wasapi2: Add support for process loopback capture
	  Adding loopback capture mode for specified PID.
	  Note that this feature requires Windows 10 build 20348
	  (Windows 11/Windows Server 2022 or later),
	  and any process loopback related properties will not be exposed
	  if OS does not support it.
	  Example launch lines:
	  * wasapi2src loopback-mode=include-process-tree loopback-target-pid=<PID>
	  Captures audio generated by an application (specified by PID)
	  and its child process
	  * wasapi2src loopback-mode=exclude-process-tree loopback-target-pid=<PID>
	  Captures desktop audio excluding PID and its child process
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1278
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3195>

2022-10-14 16:21:07 -0400  Arun Raghavan <arun@asymptotic.io>

	* gst/rtmp2/gstrtmp2sink.c:
	  rtmp2sink: Correctly return GST_FLOW_ERROR on error
	  If there is an error while connecting, the streaming task will be stopped, and
	  is_running() will be false, causing a GST_FLOW_FLUSHING to be returned. Instead,
	  we perform the error check (!self->connection) first, to return an error if
	  that's what occured.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3189>

2022-10-14 18:51:43 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc/nice: fix small leak of split strings
	  g_strfreev previously stopped at our manual NULL-termination. Fix by
	  restoring the pointer after joining.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3188>

2022-10-12 16:11:47 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstvp9parse.c:
	  vp9parse: The show_existing_frame buffer should not be decode only.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3155>

2022-10-11 16:17:26 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstvp9parse.c:
	  vp9parse: Correct the pts for frames inside a super frame.
	  When the alignment is "FRAME" and the parse is likely connecting to
	  a decoder, the current PTS setting for VP9 frames inside a super
	  frame is not very correct.
	  For example, the super frame may begin with non-displayed frames and
	  end with a displayed frame. The current way will assign the PTS to
	  the first non-displayed frame, which is a decode-only frame and the
	  PTS will be discarded in the video decoder. While the last displayed
	  frame has invalid PTS, and so the video decoder needs to guess its
	  PTS based on the frame rate and previous frame's PTS. This is not a
	  decent and robust way. And more important, when the previous frames
	  provide DTS, the video decoder will also guess the PTS based on the
	  previous frames' DTS and trigger the warning like:
	  gstvideodecoder.c:3147:gst_video_decoder_prepare_finish_frame: \
	  <vavp9dec0> decreasing timestame
	  It sets the reordered_output and makes the decoder in free run mode.
	  We should correct the PTS for a super frame, let the non-displayed
	  frames have no PTS while set the correct PTS to the displayed one.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3155>

2022-10-08 00:29:03 +0200  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/avfvideosrc.m:
	  avfvideosrc: Allow specifying crop coordinates during screen capture
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3153>

2022-10-12 11:12:50 +0200  Edward Hervey <edward@centricular.com>

	* gst/mxf/gstmxfelement.c:
	* gst/mxf/meson.build:
	* gst/mxf/mxfcustom.c:
	* gst/mxf/mxfcustom.h:
	  mxfdemux: Add support for Canon XF-HEVC
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1495
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3163>

2022-10-12 11:12:14 +0200  Edward Hervey <edward@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: Don't leak index table segments on failures
	  The segment was freed ... but not the contents :)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3163>

2022-10-11 13:09:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/webrtc/webrtc_fwd.h:
	  webrtc: Move GST_WEBRTC_ERROR_TYPE_ERROR at the end of the enum to keep ABI compatibility
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3154>

2022-10-06 20:37:45 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* tests/check/elements/webrtcbin.c:
	  tests/webrtc: Add test for 'add-turn-server' action signal
	  It just checks return value of the action signal.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3131>

2020-12-10 16:25:26 +0100  Johan Sternerup <johast@axis.com>

	* ext/sctp/gstsctpenc.c:
	  sctpenc: Prohibit sending of interleaved message parts
	  Apparently we cannot start sending messages from another datachannel
	  before the previous message was completely sent. usrsctplib will
	  complain about being locked on another stream id and set
	  errno=EINVAL.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2454>

2022-10-07 08:30:05 +0200  Wojciech Kapsa <wojciech.kapsa@medvc.eu>

	* sys/decklink/gstdecklinkvideosrc.cpp:
	* sys/decklink/gstdecklinkvideosrc.h:
	  decklink: reset calculation of gst_decklink_video_src_update_time_mapping on no_signal. When the HDMI cable was disconnected for a long time, the calculation took too much time. SDI cable works fine.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3132>

2022-10-07 07:56:21 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* ext/dash/meson.build:
	  Meson: Fix libxml2 fallback
	  The variable xml2lib_dep does not exist. The correct name is already in
	  the wrap file.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3136>

2022-09-22 22:39:31 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Fix pointer dereference before null check
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3129>

2022-09-26 13:57:15 +0200  Wojciech Kapsa <wojciech.kapsa@medvc.eu>

	* docs/plugins/gst_plugins_cache.json:
	* sys/decklink/gstdecklink.cpp:
	* sys/decklink/gstdecklink.h:
	* sys/decklink/gstdecklinkaudiosink.cpp:
	* sys/decklink/gstdecklinkaudiosink.h:
	* sys/decklink/gstdecklinkaudiosrc.cpp:
	* sys/decklink/gstdecklinkaudiosrc.h:
	* sys/decklink/gstdecklinkdeviceprovider.cpp:
	* sys/decklink/gstdecklinkvideosink.cpp:
	* sys/decklink/gstdecklinkvideosink.h:
	* sys/decklink/gstdecklinkvideosrc.cpp:
	* sys/decklink/gstdecklinkvideosrc.h:
	  decklink: Add new persistent-id property and sort devices by persistent ID
	  The order of the devices iterator from the SDK is undefined and can
	  randomly change.
	  Keep the device-number property for backwards compatibility and
	  simplicity but prefer the persistent-id property and also use it for the
	  device provider implementation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3078>

2022-10-04 19:19:57 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/transcode/gsttranscodebin.c:
	* gst/transcode/gsttranscodeelement.c:
	  transcodebin: Implement support for upstream stream selection
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3128>

2022-10-05 05:38:54 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11device.cpp:
	  d3d11: Fix debug build on UWP
	  GstDXGIGetDebugInterface() is unused when targeting UWP. We directly
	  call DXGIGetDebugInterface1() in that case.
	  Fixes build failure:
	  ../gst-libs/gst/d3d11/gstd3d11device.cpp(271): error C2440: '=': cannot convert from 'HRESULT (__cdecl *)(UINT,const IID &,void **)' to 'DXGIGetDebugInterface_t'
	  ../gst-libs/gst/d3d11/gstd3d11device.cpp(271): note: This conversion requires a reinterpret_cast, a C-style cast or function-style cast
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3118>

2022-10-05 15:59:03 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc/nice: Make sure to return NULL when validating turn server fails
	  It affects 'add-turn-server' signal action and 'turn-server' property
	  of webrtcbin.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3120>

2022-03-21 10:29:21 +0100  Johan Sternerup <johan.sternerup@axis.com>

	* ext/webrtc/webrtcdatachannel.c:
	* gst-libs/gst/webrtc/datachannel.c:
	* gst-libs/gst/webrtc/datachannel.h:
	* gst-libs/gst/webrtc/webrtc-priv.h:
	* gst-libs/gst/webrtc/webrtc_fwd.h:
	* tests/check/elements/webrtcbin.c:
	  webrtc: return error when sending on non-open datachannel
	  According to W3C
	  specification (https://w3c.github.io/webrtc-pc/#datachannel-send) we
	  should return InvalidStateError exception when trying to send when the
	  channel is not open. In the world of C/glib/gstreamer we don't have
	  exceptions but have to rely on gboolean/GError instead. Introducing
	  these calls for a change in function signature of the action signals
	  used to send data on the datachannel. Changing the signature of the
	  existing "send-string" and "send-data" signals would mean an immediate
	  breaking change so instead we deprecate them. Furthermore, there is no
	  way to express GError** as an argument to an action signal in a way
	  that fits language bindings (pointer-to-pointer simply does not work)
	  and we have to use regular functions instead.
	  Therefore we introduce gst_webrtc_data_channel_send_data_full() and
	  gst_webrtc_data_channel_send_string_full() while deprecating the old
	  functions and corresponding signals.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1958>

2022-09-23 17:18:35 +0200  Stéphane Cerveau <scerveau@igalia.com>

	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265parser.c:
	* gst-libs/gst/codecparsers/gsth265parser.h:
	* sys/nvcodec/gstnvh265dec.c:
	* sys/va/gstvah265dec.c:
	* tests/check/libs/h265bitwriter.c:
	  h265parse: fix typo in member of GstH265SPS
	  Rename sps_extnsion_params to sps_extension_params
	  Fix comment about vui_parameters_present_flag
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3072>

2022-10-04 03:57:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3115>

=== release 1.21.1 ===

2022-10-04 01:14:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.21.1

2022-10-04 01:13:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.21.1

2022-09-29 14:34:31 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gaudieffects/gstgaussblur.c:
	  gaussblur: Fix memory leak when setting caps multiple times
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3091>

2022-09-27 18:17:24 +0100  Christopher Obbard <chris.obbard@collabora.com>

	* sys/v4l2codecs/gstv4l2codecdevice.c:
	  v4l2codecs: Warn user when no media devices are found
	  Currently if the user is not able to access the devices under /dev/media*,
	  either due to no media devices present on the system or simply no permission
	  to access the device, v4l2codecs initialises with no features or debug messages.
	  Since calling `GST_DEBUG="v4l2*:7" gst-inspect-1.0 v4l2codecs` is a typical way
	  to diagnose why element(s) failed to enumerate, we should be more verbose here
	  when the user is not able to access any /dev/media* device. So print a simple
	  debug message in this case to aid debugging.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3088>

2022-09-20 23:31:45 +0300  Mart Raudsepp <mart@leio.tech>

	* gst/mpegtsdemux/mpegtsbase.c:
	  tsdemux: Don't trigger a program change when falling back to ignore-pcr behaviour
	  Since commit a79a756b79aa1675e we could change to ignore-pcr automatically at 500ms
	  into a live stream when no PCR is seen by then. However the stream counting in
	  program change detection was wrongly considering ignore-pcr programs to have a
	  separate PCR PID, even though we are actually ignoring the PCR PID completely,
	  resulting in an erroneous program switch getting triggered from the different
	  stream count. This in turn would send an EOS and switch out the pads for what
	  actually is still the same program, while we intended to simply apply a
	  workaround for broken encoders.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3060>

2022-09-27 19:46:28 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Remove builtin variable datadir from pkgconfig variables
	  Fixes warning with meson 0.62:
	  gst-plugins-bad| subprojects/gst-plugins-bad/meson.build:546: WARNING:
	  Project targets '>= 0.62' but uses feature deprecated since '0.62.0':
	  pkgconfig.generate variable for builtin directories. They will be
	  automatically included when referenced
	  and more.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3086>

2022-09-22 09:14:57 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/interactive/pitch-test.c:
	  bad/soundtouch: Fix interactive test build on MSVC
	  Needed for https://gitlab.freedesktop.org/gstreamer/cerbero/-/merge_requests/930
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3064>

2022-09-21 19:19:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Use implicit builtin dirs in pkgconfig generation
	  Starting with Meson 0.62, meson automatically populates the variables
	  list in the pkgconfig file if you reference builtin directories in the
	  pkgconfig file (whether via a custom pkgconfig variable or elsewhere).
	  We need this, because ${prefix}/libexec is a hard-coded value which is
	  incorrect on, for example, Debian.
	  Bump requirement to 0.62, and remove version compares that retained
	  support for older Meson versions.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1245
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3061>

2022-09-20 13:38:26 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	  vabaseenc: Move out encoder validation from assertion.
	  Assertion can be disabled at compilation time. Still it's important to
	  validate it the encoder object was opened by the subclass. This patch
	  removes the assertion and returns if the encoder is open.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3051>

2022-09-12 09:46:43 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* tools/meson.build:
	  meson: Set install_tag on some targets
	  Trying to follow recommendation from Meson documentation:
	  https://mesonbuild.com/Installing.html#installation-tags
	  Move tools into 'bin' or 'bin-devel' categories to keep only libs and
	  plugins in the default 'runtime' category. This simplifies distribution
	  of GStreamer application skipping parts that are not needed, similarly
	  to what Cerbero does by hardcoding huge list of files.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3017>

2022-09-20 16:21:24 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkav1enc.c:
	  msdkav1enc: We should not set other alignment here
	  According to spec, we have 32bit alignment for height (progressive) and
	  16bit alignment for width, so here we don't need to add other alignment
	  settings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3050>

2022-09-17 17:49:47 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah264enc.c:
	  va: h264enc: Fix rate control enum register failure for the second GPU.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3041>

2022-09-17 10:14:40 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Avoid precision lost by just rounding up.
	  The code where dividing by 16 and later multiplying by 16, which is
	  spurious and a potential loose of precision.

2022-09-16 14:17:38 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Update AUD property if driver can't handle raw data.

2022-09-16 13:55:11 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah264enc.c:
	  vah264enc: Remove unused dispose method.

2022-09-16 15:45:11 -0400  Eric Knapp <emkman99@gmail.com>

	* sys/va/gstvadeinterlace.c:
	  vadeinterlace: Fix passthrough latency query
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3038>

2022-09-17 05:01:55 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvh265dec.c:
	  nvh265sldec: Sync up with d3d11h265dec implementation
	  Each RefPicSetStCurrBefore/RefPicSetStCurrAfter/RefPicSetLtCurr array
	  might have empty element (i.e., reference pictures might not be stored
	  sequentially). Don't error out for the empty element case,
	  but instead, iterates each array and fill NVDEC's reference list
	  as much as possible
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1441
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3039>

2022-09-16 12:50:33 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	* sys/va/gstvabaseenc.h:
	* sys/va/gstvah264enc.c:
	  va: baseenc: Fix gobject style for chained method.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3035>

2022-09-13 23:20:54 +0900  Seungha Yang <seungha@centricular.com>

	* gst/codectimestamper/gsth264timestamper.c:
	* gst/codectimestamper/gsth265timestamper.c:
	  codectimestamper: Update document
	  Add more description about those elements
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3021>

2022-06-09 22:32:16 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaav1dec.c:
	  va: av1dec: user internal buffer pool for non output layers.
	  The AV1 support multi spatial layers within one TU with different
	  resolutions, and only the highest spatial layer need to be output.
	  For example, there are two spatial layer, base level is 800x600
	  and higher level is 1920x1080. We need to decode both because the
	  higher level needs base layer as reference, but we only need to output
	  1920x1080 frames here.
	  The current manner always renegotiates the caps once we detect the
	  current picture resolution changes, so we renegotiate again and
	  again between different layers. That's a big waste and has very
	  low performance. We now only do the renegotiation for the highest
	  output layer. For other non output layers, we just keep a internal
	  buffer pool which is big enough to handle the surface allocation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2382>

2022-05-12 10:12:37 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
	* gst-libs/gst/codecs/gstav1decoder.h:
	  codecs: av1decoder: Add the highest_spatial_layer field.
	  As SPEC says, when multi spatial layer exists, we should only output
	  one frame with the highest spatial id from each TU. We now store the
	  highest spatial layer information in the base class in order to let
	  the sub class handle different layers easily.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2382>

2022-09-15 00:52:14 +0000  Devin Anderson <danderson@microsoft.com>

	* ext/voamrwbenc/gstvoamrwbenc.c:
	* tests/check/elements/voamrwbenc.c:
	* tests/check/meson.build:
	  voamrwbenc: Fix truncation of audio data at end-of-stream when audio data doesn't align on 20 millisecond frame size.
	  The AMR-WB codec imposes a fixed 20 millisecond frame size.  In its current
	  form, the `voamrwbenc` plugin deals with this limitation by discarding any
	  audio at the end of the stream that falls short of 20 milliseconds.  This patch
	  keeps the audio data, and appends silence to the end to preserve frame size
	  alignment.
	  The patch also adds tests to check for the updated behavior.  I noticed that
	  tests weren't being built, so I changed the build to allow for building the
	  tests when the `tests` and `voamrwbenc` options are set.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3027>

2022-09-15 21:56:27 +0900  Seungha Yang <seungha@centricular.com>

	* gst/codectimestamper/gstcodectimestamper.c:
	  codectimestamper: Fix for unknown framerate
	  Use default framerate if numerator or denominator is unknown
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3031>

2022-08-26 08:43:34 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/qsv/plugin.cpp:
	  Build documentation for rust plugins
	  - Update the docker image we use, starting using the standard one adding
	  `gtk4-doc` as required by rust plugins
	  - Update the plugins_doc_caches as required, some more plugins are built
	  with the new image
	  - Install ninja from pip as the version from F31 is too old
	  - Avoid buildings all GSreamer plugins when building the doc as it takes
	  time and resources for no good reason
	  - Stop linking to `GInstanceInitFunc` as it is not present in latest GLib
	  documentation, leading to warnings in hotdoc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2954>

2022-08-29 10:17:45 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Do not build plugins to build the doc
	  It is not actually necessary
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2954>

2022-09-15 12:14:56 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  tests: add a few more orc tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3029>

2022-09-14 00:58:37 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvdec.c:
	  nvdec: Fix for HEVC decoding when coded resolution is larger than display resolution
	  As documented in the SDK header, we should set coded width/height
	  values to the corresponding decoder configuration option,
	  instead of display resolution
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1438
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3022>

2022-09-13 04:06:02 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudamemorycopy.c:
	  cudaupload,cudadownload: Fix document
	  * Fix typo, NVIDA -> NVIDIA
	  * Add cudadownload doc to the source file
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3018>

2022-09-13 01:02:55 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudamemorycopy.c:
	  cudaupload,cudadownload: Use shared GstD3D11Device context if possible
	  Handle d3d11 device context in set_context() method with
	  additional device compatibility check so that only NVIDIA GPU
	  associated d3d11 device can be configured in the element.
	  And clear old d3d11 device per set_info() for d3d11 device to be
	  updated as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3018>

2022-09-13 01:02:50 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/cuda/cuda-gst.h:
	* gst-libs/gst/cuda/gstcudacontext.c:
	* gst-libs/gst/cuda/gstcudaloader.c:
	* gst-libs/gst/cuda/gstcudautils.c:
	* gst-libs/gst/cuda/gstcudautils.h:
	* gst-libs/gst/cuda/meson.build:
	* gst-libs/gst/cuda/stub/cuda.h:
	* gst-libs/gst/cuda/stub/cudaD3D11.h:
	  cuda: Remove GST_CUDA_HAS_D3D define from header
	  ... and fix d3d11 specific enum type name
	  GST_CUDA_HAS_D3D is a build time define which indicates whether
	  GstD3D11 library is available or not, but DirectX SDK headers
	  must be available on the build system already.
	  Expose Direct3D related symbols if the build target is Windows
	  (i.e., if G_OS_WIN32 is defined)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3018>

2021-03-24 14:20:18 -0500  Zebediah Figura <z.figura12@gmail.com>

	* meson.build:
	  meson: Build with -Wl,-z,nodelete to prevent unloading of dynamic libraries and plugins
	  GLib made the unfortunate decision to prevent libgobject from ever being
	  unloaded, which means that now any library which registers a static type
	  can't ever be unloaded either (and any library that depends on those,
	  ad nauseam).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/778>

2022-06-06 10:56:12 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	  va: Remove from plugin cache.
	  GstVA is not currently build by CI, because libva version is lower
	  than expected. So, the gstva library is not build, thus some symbols
	  aren't documented, breaking the documentation CI.
	  To move things forward, let's just remove temporarly the va plugins
	  from cache. While we decide on how to update the libva package in
	  the CI.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1025>

2022-06-27 18:56:01 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvaallocator.h:
	  va: allocator: Fix parameter name to match signature.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1025>

2022-02-07 17:34:57 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* docs/libs/va/index.md:
	* docs/libs/va/sitemap.txt:
	* gst-libs/gst/va/gstva.h:
	* gst-libs/gst/va/gstvaallocator.c:
	* gst-libs/gst/va/gstvaallocator.h:
	* gst-libs/gst/va/gstvadisplay.c:
	* gst-libs/gst/va/gstvapool.c:
	* gst-libs/gst/va/gstvasurfacecopy.h:
	* gst-libs/gst/va/gstvautils.c:
	* gst-libs/gst/va/gstvavideoformat.c:
	* gst-libs/gst/va/meson.build:
	* sys/va/gstjpegdecoder.c:
	* sys/va/gstjpegdecoder.h:
	* sys/va/gstvabasetransform.c:
	* sys/va/gstvacompositor.c:
	* sys/va/gstvafilter.c:
	* sys/va/gstvah264enc.c:
	  va: Complete library and plugin documentation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1025>

2022-09-13 14:46:37 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstva.h:
	* gst-libs/gst/va/meson.build:
	* sys/va/gstvabasedec.c:
	* sys/va/gstvacaps.c:
	* sys/va/gstvadecoder.c:
	* sys/va/gstvadisplay_priv.c:
	* sys/va/gstvaencoder.c:
	* sys/va/gstvafilter.c:
	* sys/va/gstvah264enc.c:
	* sys/va/gstvajpegdec.c:
	  va: Move gstvavideoformat out of library headers.
	  Since it's no needed for API consumers. Though it can be added later.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1025>

2021-10-03 10:17:00 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* docs/meson.build:
	* gst-libs/gst/va/meson.build:
	  docs: Generate libgstva GI and pkg-config.
	  Currently libgstva is only exposed internally to gst-plugins-bad. No
	  headers are installed, no documentation generated, pkgconfig file,
	  neither gobject-introspection files.
	  This patch turn on all that.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1025>

2022-05-19 00:44:40 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/codectimestamper/gstcodectimestamper.c:
	* gst/codectimestamper/gstcodectimestamper.h:
	* gst/codectimestamper/gsth264timestamper.c:
	* gst/codectimestamper/gsth264timestamper.h:
	* gst/codectimestamper/gsth265timestamper.c:
	* gst/codectimestamper/gsth265timestamper.h:
	* gst/codectimestamper/meson.build:
	* gst/codectimestamper/plugin.c:
	* gst/meson.build:
	* meson_options.txt:
	  Add H.264/H.265 timestamp correction element
	  Adding {h264,h265}timestamper element to correct timestamp of
	  encoded frames. This initial version supports only DTS
	  correction based on given PTS and SPS data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2580>

2022-09-07 11:22:45 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/debugutils/gsttestsrcbin.c:
	* tests/validate/meson.build:
	* tests/validate/testsrcbin/caps_spec.validatetest:
	* tests/validate/testsrcbin/caps_spec/flow-expectations/log-testsrcbin0-video_src_0-expected:
	  testsrcbin: Add a way to specify caps for the output of the sources
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3007>

2022-09-08 17:29:37 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/debugutils/gsttestsrcbin.c:
	  testsrcbin: Plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3007>

2020-11-19 18:34:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/debugutils/gsttestsrcbin.c:
	  testsrcbin: Add an 'expose-sources-async' property
	  Which allows simluating usual source which require decoding etc in decodebin for example
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3007>

2022-09-05 18:32:20 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvajpegdec.c:
	  vajpegdec: Enhance explanation comment.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2948>

2022-09-06 14:53:41 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvacaps.c:
	  va: caps: Use G_STMT_START / END
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2948>

2022-09-05 16:59:12 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvajpegdec.c:
	  vajpegdec: Check if driver has internal color conversion.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2948>

2022-09-06 18:49:02 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: fix picking available payload types
	  When picking an available payload type, we need to pick one that is
	  available across all media.
	  The previous code, when multiple media were present, looked at the first one,
	  noticed it had pt 96 as the media pt, then simply looked at the next media,
	  noticed it didn't, and decided 96 was available.
	  Instead, check if the pt is used by any of the media, if it is, decide
	  it is not available and go to the next pt. I'm fairly sure that was the
	  original intent.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2984>

2022-08-03 19:36:11 +0300  Jordan Petridis <jordan@centricular.com>

	* ext/fluidsynth/gstfluiddec.c:
	  fluidsynth: correctly version guard methods
	  We bumped the minimum version to 2.1 but the api we used
	  wasn't introduced till version 2.2 of fluidsynth
	  Follow-up to gstreamer/gstreamer!2718
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2718
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2835>

2022-08-21 03:37:40 +1000  Jan Schmidt <jan@centricular.com>

	* ext/dash/gstdashdemux.c:
	* ext/dash/gstdashdemux.h:
	* ext/dash/gstmpdclient.c:
	* ext/dash/gstmpdclient.h:
	  dashdemux: Preserve current representation on live manifest updates
	  When updating a manifest during live playback, preserve the current
	  representation for each stream.
	  During update_fragment_info, if the current representation changed
	  because it couldn't be matched, trigger a caps change and new
	  header download.
	  This reverts commit e0e1db212fd0df2239583b9099fc4361adeded05
	  and reapplies "dashdemux: Fix issue when manifest update sets slow start
	  without passing necessary header & caps changes downstream" with
	  changes.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/507
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1729
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2920>

2022-09-02 09:55:20 +0000  Florian Zwoch <fzwoch@gmail.com>

	* sys/va/plugin.c:
	  va: Fix log message when registering H264 encoder.
	  The log message would report an error for the H264 decoder when
	  registering failed, but we tried to register the H264 encoder instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2974>

2022-07-05 17:14:37 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Allow locked mlines with no caps, as the last ones
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2439>

2022-05-16 18:05:25 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Reject creating an offer if a locked mline has no caps
	  This avoids getting in a bunch of corner cases. We'd have to insert
	  a "rejected" line from the start as a place-holder to get around this,
	  but the rest of the code just becomes more complicated, so just
	  disallow it for now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2439>

2022-05-16 17:17:13 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/webrtctransceiver.c:
	* ext/webrtc/webrtctransceiver.h:
	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Store pending mid to make create-offer idempotent
	  If the mid is not stored in the transceiver, but it is stored in
	  last_offer, then a further create-offer call will just ignore that
	  transceiver.
	  Also include unit test for ensure it doesn't regress.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2439>

2022-05-26 18:17:16 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	* sys/msdk/gstmsdkvpp.h:
	  msdkvpp: Add va memory when fixating src caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

2022-06-08 12:31:56 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	* sys/msdk/gstmsdkvpp.h:
	  msdkvpp : Use va pool at linux path and system pool for windows
	  We use msdkvpp's own pool to allocate buffers instead of external frame
	  allocator mfxFrameAllocator.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

2022-05-09 18:34:38 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkallocator.h:
	* sys/msdk/gstmsdkallocator_libva.c:
	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: Import buffer to msdk_surface
	  If the buffer is not msdk_buffer, we can try to directly import the
	  attached memory (i.e. va mem and dmabuf mem) by applying the common
	  uitl function: import_to_msdk_function ().
	  Here add a flag "from_qdata" in GstMsdkSurface to handle the cropping case,
	  we should avoid updating the crop values when msdk_surface is from the
	  memory's qdata, because the crop info from this surface is the already
	  updated one.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

2022-05-09 18:19:01 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkvpp.c:
	  msdkvpp: Add va caps at sink and src pad
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

2022-08-25 17:28:36 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkenc.c:
	  msdkenc: Apply common util func to import mem as msdk_surface
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

2022-05-27 17:56:33 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkallocator.c:
	* sys/msdk/gstmsdkallocator.h:
	* sys/msdk/gstmsdkallocator_libva.c:
	* sys/msdk/gstmsdkallocator_libva.h:
	* sys/msdk/meson.build:
	* sys/msdk/msdk.h:
	  msdk: Add help functions to get mfxFrameSurface1 from GstBuffer and wrap it as GstMsdkSurface
	  Note that the memory abstraction for system memory is for windows path.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

2022-05-19 19:18:21 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/msdk.c:
	* sys/msdk/msdk.h:
	  msdkenc: Use va pool on linux and system pool for windows
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

2022-05-19 18:57:50 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* sys/msdk/gstmsdkenc.c:
	  msdkenc: Directly import dmabuf memory as mfx surface
	  When input buffer is of dmabuf memory but not a msdk buffer (i.e., the
	  allocator is not msdk_allocator), then we can try to get fd of this mem,
	  create the corresponding va surface and wrap it as mfx surface.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2498>

